/*
 * newInstance() uses the value property to create a new Time model
 * property to create and return a new date 
 */
define(["dojo/_base/declare", 
        "com/sas/dm/common/model/_SerializableModelBase",
        "com/sas/dm/common/model/mixin/_DeserializerFactoryMixin"], 
        function(declare, _SerializableModelBase, _DeserializerFactoryMixin){
            return declare([_SerializableModelBase, _DeserializerFactoryMixin],{
                getSerializedTypeName:function(){
                    return "[B";
                },
                _value:null,
                _valueGetter:function(){
                    return this._value;
                },
                _valueSetter:function(/*String*/value){
                    this._value = value;
                },
                newInstance:function(){
                    return window.atob(this.get("value"));
                }
        });
});