/*
 * newInstance() uses the value property to create a new Time model
 * property to create and return a new date 
 */
define(["dojo/_base/declare", 
        "com/sas/dm/common/model/_SerializableModelBase",
        "com/sas/dm/datadirector/models/SqlDate",
        "com/sas/dm/common/model/mixin/_DeserializerFactoryMixin"], 
        function(declare, _SerializableModelBase, SqlDate, _DeserializerFactoryMixin){
            return declare([_SerializableModelBase, _DeserializerFactoryMixin],{
                getSerializedTypeName:function(){
                    return "java.sql.Date";
                },
                _value:null,
                _valueGetter:function(){
                    return this._value;
                },
                _valueSetter:function(/*object {"day","month","year"}*/ value){
                    this._value = value;
                },
                newInstance:function(){
                    value = this.get("value");
                    return new SqlDate(value.day, value.month, value.year);
                }
        });
});
    