/**
 * This is the default locale properties file
 */
define({ root:
{ 
		unitTesting: "test ${0} test ${1}",
		about_action_longLabel:"About SAS \u00AE Data Loader",
		aboutDialog_title: "About",
		aboutDialog_closeButton_label: "Close",
		aboutDialog_informationTab_label: "Information",
		aboutDialog_legalNoticeTab_label: "Legal Notices",
		aboutDialog_infoTab_release_label: "Release: ",
		aboutDialog_infoTab_supportedBrowsers_label: "Supported browsers: ",
		aboutDialog_infoTab_buildDate_label: "Build date: ",
		messageOnExitingApplication: "Leaving Data Loader Application.",
		genericRequiredMessage_txt:"This value is required.",
		genericInvalidMessage_txt: "The value entered is not valid.",
		genericRangeMessage_txt: "This value is out of range.",
		busyIndicator_status_label:"Please wait...",
		backToTop: "back to top",
		directiveChoice_header_title: "What directive do you want to perform?",
		directiveOpen_action_label: "Saved Directives",
		directiveOpen_action_longLabel: "Open a previously created directive to run, view or edit",
		directiveStatus_action_label: "Run Status",
		directiveStatus_action_longLabel: "Show the status of current and previous directive executions",
		directiveSchedule_action_label: "Schedule a Directive to Run",
		directiveSchedule_action_longLabel: "Schedule a directive to run at specified dates and times.",
		directiveChain_action_label: "Chain Directives Together",
		directiveChain_action_longLabel: "Run a number of directives in a specific order.",
		directiveTransformInPlace_action_label: "Transform data in place",
		directiveTransformInPlace_action_longLabel: "Transform data from a source table",
		directiveJoinTables_action_label: "Join tables",
		directiveJoinTables_action_longLabel: "Create a table from multiple tables",
		directiveVerifyAddresses_action_label: "Verify mailing addresses",
		directiveVerifyAddresses_action_longLabel: "Verify the mailing address columns in a table",
		directiveQueryHadoop_action_label:"Sort and De-Duplicate Data",
		directiveQueryHadoop_action_longLabel:"Query, sort, or de-duplicate the data in an existing Hadoop table",
		directiveSASProgram_action_label:"Run a SAS Program",
		directiveSASProgram_action_longLabel:"Run custom SAS code",
		directiveHiveProgram_action_label:"Run a Hadoop SQL Program",
		directiveHiveProgram_action_longLabel:"Run custom SQL code",
		directiveBrowseTables_action_label:"Browse Tables",
		directiveBrowseTables_action_longLabel: "Browse tables or open a table to see its contents",
		directiveDeleteRows_action_label: "Delete Rows",
		directiveTransformDataInHadoop_action_label:"Transform Data",
		directiveTransposeDataInHadoop_action_label:"Transpose Data",
		directiveArchitectDataInHadoop_action_label:"Architect Data in Hadoop",
		directiveScoreModel_action_label:"Score Data",
		directiveClenseDataInHadoop_action_label:"Cleanse Data",
		directiveDeleteRows_action_longLabel: "Delete rows from a selected table. Requires Hive 14 or above.",
		directiveTransformDataInHadoop_action_longLabel:"Transform data from a Hadoop table",
		directiveTransposeDataInHadoop_action_longLabel:"Transpose data from a Hadoop table",
		directiveClenseDataInHadoop_action_longLabel:"Cleanse data in Hadoop by performing data quality transforms",
		directiveJoinDataInHadoop_action_label:"Query or Join Data",
		directiveJoinDataInHadoop_action_longLabel:"Query a table, or join data from multiple tables",
		directiveCopyToLasr_action_label:"Load Data to LASR",
		directiveCopyToLasr_action_longLabel:"Copy data from a source and load it into LASR.",
		directiveProfile_action_label:"Profile Data",
		directiveProfile_action_longLabel:"Generate a profile report of the data in a table",
		directiveSavedProfiles_action_label:"Saved Profile Reports",
		directiveSavedProfiles_action_longLabel:"Explore previously generated profile reports",
		directiveCategoryDataTransformation_txt: "DATA TRANSFORMATION",
		directiveCategoryDataQuality_txt: "DATA QUALITY",
		directiveCategoryHadoop_txt: "HADOOP",
		directiveCategoryLasr_txt: "LASR",
		directiveCategoryUtilities_txt: "UTILITIES",
		directiveCopyDataToHadoop_action_label: "Copy Data to Hadoop",
		directiveLoadDataToHadoop_action_label: "Import a File",
		directiveCopyDataToHadoop_action_longLabel: "Copy data from a database into Hadoop",
		directiveLoadDataToHadoop_action_longLabel: "Import data from a file into Hadoop",
		directiveCopyDataFromHadoop_action_label: "Copy Data from Hadoop",
		directiveCopyDataFromHadoop_action_longLabel: "Copy data from Hadoop into a database",
		directiveScoreModel_action_longLabel: "Run a scoring model",
		directiveMergeData_action_label: "Match-Merge Data",
		directiveMergeData_action_longLabel: "Match-merge rows from one or more source tables into a single row and output a single target table",
		progressComplete_label: "Complete",
		directiveFilterDataAll: "All Directives",
		directiveFilterDataQuality: "Data Quality Directives",
		directiveFilterHadoop: "Hadoop Directives",
		directiveFilterUtilities: "Utilities",
		directiveFilterVisualization: "Visualization Directives",		
		directiveHeaderBackToDirectives: "Back to Directives",
		directiveHeaderSave: "Save",
		directiveHeaderSaveAs: "Save As...",
		directiveHeaderManage: "Manage Saved Directives...",
		directiveHeaderSettings: "Settings",
		directiveHeaderAdvancedOptions: "Settings...",
		directiveHeaderCode: "Code",
		executionStart_SASCode_label:"Start SAS Program",
		executionStart_HIVECode_label:"Start SQL Program",
		SASCodeInProcess_label:"running...",
		HIVECodeInProcess_label:"running...",
		SASCodeSuccess_label:"Successfully ran SAS program",
		SASCodeFailed_label:"Failed to run SAS program",
		HIVECodeSuccess_label:"Successfully ran program",
		HIVECodeFailed_label:"Failed to run program",
		dataSourceNoDataMessage_txt: "Databases could not be retrieved or databases have not been configured. Check the configuration settings.",
		dataSourceTableNoDataMessage_txt: "No tables were found",
		sqoopNoJDBCServersMesssage_txt: "Databases could not retrieved or databases have not been configured. Check the configuration settings.",
		noTablesDefinedForColumnInfoError_txt: "Unable to query for column information because no valid tables were selected.",
		dataSourceNext: "Next",
		dataSourceRefresh_label: "Refresh",
		dataSourceViewTable_label: "View Table",
		dataSourceSaveQueryAs: "Save as a View",
		dataSourceInsertInto: "Insert Into Existing Table",
		dataSourceNewTable_tooltip: "Create new table",
		dataSourceNewTable: "New table",
		dataSourceNewTableButton_label:"New Table...",
		dataSourceNewTableDialog_title:"New Table",
		dataSourceNewTableDialog_label:"New table:",
		dataSourceUnableToFind_txt: "Unable to find ${0}.  It may have been moved or deleted.",
		dataSourceUnableToFindSchema_txt: "Unable to find ${0}.  It may have been moved or deleted.",
		dataSource_newBadge: "NEW",
		dataSource_profiledBadge: "PROFILED",
		cancel: "Cancel",
		OK: "OK",
		actionMenu_tooltip: "Action menu",
		dataSourceRefresh_tooltip: "Refresh data sources",
		dataSourceBackToDataSources: "Return to Data Sources",
		dataSourceBackGeneric: "Back",
		dataSourceBackToDataSources_tooltip: "Return to the 'data sources' view",	
		dataSourceProfileViewerButton_label:"View Profile",
		dataSourceProfileViewerButton_tooltip:"View profile",
		dataSourceShowList: "View List",
		dataSourceShowList_tooltip: "View the items in a list",
		dataSourceShowGrid: "View Grid",
		dataSourceShowGrid_tooltip: "View the items in a grid",
		dataSourceUpload: "Upload",
		dataSourceUpload_tooltip: "Upload",
		dataSourceSelect:"Select",
		dataSourceSelect_tooltip:"Select Options",
		dataSourceSelect_newTablesOption_label:"Select All New Tables",
		dataSourceDeselect_allTablesOption_label:"Deselect All Tables",
		dataSourceSelect_newTablesOption_tooltip: "Automatically select all new tables in this schema",
		dataSourceDeselect_allTablesOption_tooltip: "Automatically deselect all tables in this schema",
		lasrBackToDataSources_tooltip: "Return to the 'LASR Servers' view",
		localeSelectionWidget_label: "Locale:",
		localeSelectionWidget_button_label: "Select a different locale",
		localeSelectionDialog_title: "Select Locale",
		localeSelectionDialog_checkBox: "Make this the default locale",
		stepCleanseCaseType_label: "Type:",
		stepStandardizeColumn_label:"Column:",
		stepStandardizeDefinition_label:"Definition:",
		stepStandardizeNewColumnName_label:"New Column Name:",
		stepStandardizeNewColumnLength_label:"Character Limit:",
		stepFilterOperator_label:"Operator:",
		stepFilterValue_label:"Value:",
		stepSummaryEdit_label: "",
		stepSummaryEdit_longLabel: "Edit this step",
		stepSummaryDetails_label: "Details",
		stepSummarySample_label: "Data Sample",
		stepSummaryViewModelAttributes_label: "View Attributes",
		stepSummaryViewModelAttributes_tooltip: "View Attributes",
		stepSummarySample_tooltip: "View a data sample",
		stepSummaryCodePreview_label: "Preview Code",
	    stepSummaryCodePreview_tooltip: "Preview code",
		stepSummaryViewTable_label: "Table Viewer",
		stepSummaryViewTable_tooltip: "Open the selected table in the Table Viewer",
		stepSummaryDownload_label: "Download",
		stepSummaryDownload_tooltip: "Download the selected file",
		stepSummaryOpen_label: "Open",
		stepSummaryOpen_tooltip: "Open section",
		stepSummaryInsertBelow_label: "Insert Transformation Below",
		stepSummaryInsertBelow_tooltip: "Insert a transformation below",
		stepSummaryInsertAbove_label: "Insert Transformation Above",
		stepSummaryInsertAbove_tooltip: "Insert a transformation above",
		stepSummaryReset_label: "Reset Selections",
		stepSummaryReset_tooltip: "Reset selections to the original values",
		stepSummaryAdvancedOptions_label: "Advanced Options",
		stepSummaryAdvancedOptions_tooltip: "Edit advanced options",
		stepSummaryMove_label: "Move Transformation",
		stepSummaryMove_tooltip: "Move the transformation",
		stepSummaryDelete_label: "Delete Transformation",
		stepSummaryDelete_tooltip: "Delete the transformation",
		stepSummaryDeleteSourceTable_label:"Remove Source Table Step",
		stepSummaryDeleteSourceTable_tooltip:"Delete this Source Table step",
		stepSummaryDeleteSurvivorColumnRules_label: "Remove Survivor Column Rules Step",
		stepSummaryDeleteSurvivorColumnRules_tooltip:"Delete this Survivor Column Rules step",
		stepSummaryLabelSuffix_txt:":",
		stepSummarySourceTable_label:"Source Table",
		stepSummarySourceTables_label:"Source Tables",
		stepSummarySourceFile_label:"Source File",
		stepSummarySource_label:"Source",
		stepSummaryFileSpec_label:"File Specification",		
		stepSummaryColumns_label:"Columns",
		stepSummaryReport_label:"Report",
		stepSummaryResult_label:"Result",
		stepSummaryTransformation_label:"Transformation",
		stepSummaryTransposeData_label:"Transpose Data",
		stepSummaryTargetTable_label:"Target Table",
		stepSummarySummarizeRows_label:"Summarize Rows",
		stepSummaryFilterRows_label:"Filter Rows",
		stepSummarySort_label:"Sort",
		stepSummaryCode_label:"Code",
		stepSummaryQuery_label:"Query",
		stepSummaryJoin_label:"Join",
		stepSummaryOptions_label:"Options",
		stepSummaryChain_label:"Chain",
		stepSummaryModel_label:"Model",
		stepSummaryModelOutputColumns_label:"Model Output Columns",
		stepSummaryMatchedColumns_label:"Matched Columns",
		stepSummaryMergeData_label:"ORDER SOURCE TABLES",
		stepSummaryMergeData_text:"${0} tables selected",
		stepSummaryMergeBy_label:"Merge By",
		stepSummaryInputColumns_label:"Input Columns",
		stepSummaryNewColumns_label:"New Columns",
		stepSummaryManageOutputColumns_label:"Manage Output Columns",
		stepSummaryFolderLocation_label:"Folder Location",
		StepSummaryNotApplicable_title:"This step is not applicable for the selected inputs",
		stepRequiredInputChange_txt:"The values in this view may have changed based on previous selections.",
		stepIncomplete_txt:"This step is in an incomplete state",
		stepInvalid_txt:"One or more values is invalid",
		transformationManageColumns_label:"Manage Columns",
		transformationManageColumnsDescription_txt:"Select the columns to include",
		transformationSummarize_label:"Summarize Rows",
		transformationSummarizeDescription_txt:"Create a new row with data summarized in selected columns",
		transformationFilter_label:"Filter Data",
		transformationFilterDescription_txt:"Select the rows of data to include",
		transformationSort_label:"Sort Data",
		transformationSortDescription_txt:"Sort data by one or more columns",
		transformationGenerateMatchCodes_label:"Generate Match Codes",
		transformationParse_label:"Parse Data",
		transformationFieldExtract_label: "Field Extraction",
		transformationParseDescription_txt: "Select the column, Definition, and Token you want to apply, and enter a name for the new column",
		transformationStandardizeDescription_txt: "Apply data standards to selected columns",
		transformationFieldExtracDescription_txt: "Extract fields from a column",
		transformationGenerateMatchCodesDescription_txt:"Create match codes for selected values in the table",
	    transformationIdentificationAnalysis_label:"Identification Analysis",
	    transformationIdentificationAnalysisDescription_txt:"Identify the semantic data type of text in selected columns",
		transformationStandardize_label:"Standardize Data",
		transformationChangeCase_label:"Change Case",		
		transformationGenderAnalysis_label:"Gender Analysis",			
		transformationPatternAnalysis_label:"Pattern Analysis",
		transformationChangeCaseDescription_txt:"Change the case of data to comply with expected standards",
		transformationGenderDescription_txt: "Identify the gender of the data in the column",
		transformationPatternDescription_txt: "Compare the data to an expected pattern",
		Show: "Show:",
		selectAcolumn: "Select a Column",
		cleanseNoDefinitionsMessage: "No QKB definitions exist for this locale, please select another locale.",
		cleanseCaseProper: "Proper",
		cleanseCaseUpper: "Upper",
		cleanseCaseLower: "Lower",
		noColumnsAvailable: "No Columns Available",
		filterAddRule: "Add Rule",
		filterPlaceholderString: "Enter a String Value",
		filterPlaceholderDouble: "Enter a Double Value",
		filterPlaceholderInt: "Enter a Numeric Value",
		filterPlaceholderTimestamp: "Enter a Timestamp Value",
		filterPlaceholderDate: "Enter a Date ${0}",
		filterIncludeWhere: "Include:",
		filterAllOfThese: "Rows for which all of these rules apply ",
		filterAnyOfThese: "Rows for which any of these rules apply",
		filterDateTip:"Expected date format is ${0}",
		filterEnterNoValue: "No value is required for this comparison.",
		filterEnterSingleValue: "Enter a single value for the comparison.",
		filterEnterLikeValue:"Use % to represent any number of characters and _ to represent exactly one character for the like comparison.",
		filterEnterRangeValues: "Enter two values to represent the range of the comparison.",
		filterEnterMultipleValues: "Enter a list of values, with one value per line.",
		filterErrorNumber: "Enter a valid number.",
		filterErrorNumberLike: "Enter a valid number along with % or _ mixed in.",
		filterErrorRequired: "This value is required.",
		filter_selectValues: "You must first select a column and operator before you can enter a value",
		summarizeSelectAggr: "Select an aggregation",
		summarizeGroupBy: "Group rows by:",
		summarizeGroupByHead: "Group by:",
		summarizeNone: "(none)",
		summarizeAddColumn: "Add Column",		
		equalTo: "Equal To",
		equalToSymbol: "=",
		notEqualTo: "Not Equal To",
		notEqualToSymbol: "<>",
		greaterThan: "Greater Than",
		greaterThanSymbol: ">",
		greaterThanOrEqualTo: "Greater Than or Equal To",
		greaterThanOrEqualToSymbol: ">=",
		lessThan: "Less Than",
		lessThanSymbol: "<",
		lessThanOrEqualTo: "Less Than or Equal To",
		lessThanOrEqualToSymbol: "<=",
		filterAnd: "AND",
		filterOr: "OR",
		filterBetween: "Between",
		filterBetweenSymbol: "is between",
		filterNotBetween: "Not Between",
		filterNotBetweenSymbol: "is not between",
		filterContains: "Contains",
		filterContainsSymbol: "contains",
		filterNotContains: "Not Contains",
		filterNotContainsSymbol: "does not contain",
		filterIn: "In",
		filterInSymbol: "is in",
		filterNotIn: "Not In",
		filterNotInSymbol: "is not in",
		filterLike: "Like",
		filterLikeSymbol: "is like",
		filterNull: "Null",
		filterNullSymbol: "is null",
		filterNotNull: "Not Null",
		filterNotNullSymbol: "is not null",
		filterEqualTo: "Equal To",
		filterEqualToSymbol: "=",
		filterNotEqualTo: "Not Equal To",
		filterNotEqualToSymbol: "<>",
		filterGreaterThan: "Greater Than",
		filterGreaterThanSymbol: ">",
		filterGreaterThanOrEqualTo: "Greater Than or Equal To",
		filterGreaterThanOrEqualToSymbol: ">=",
		filterLessThan: "Less Than",
		filterLessThanSymbol: "<",
		filterLessThanOrEqualTo: "Less Than or Equal To",
		filterLessThanOrEqualToSymbol: "<=",
		filterAfter: "After",
		filterAfterIncludes: "On or After",
		filterBefore: "Before",
		filterBeforeIncludes: "On or Before",
		filterCaseSensitive: "Case sensitive",
		transformations_backToTransformations_label: "Return to Transformations",
		transformations_header_title: "Choose the transformation you want to perform on the data",
		transformations_summaryDefault_txt: "",
		transformations_summaryDefault_label: "Transformation",
		deleteRows_summaryDefault_label: "Delete Rows",
		transformation_addTransformationButton_label:"Add Another Transformation",
		modelScoreHDFSHome_header_title: "Choose a scoring model for your data.",
		dsnSelect_header_title: "Choose the data source with data you want to transform.",
		dsnSelectDelete_header_title: "Choose the data source with the data you want to delete.",
		browseDsnSelect_header_title: "Choose the data source with the data you want to view.",
		lasrDsnSelect_header_title: "Choose the data source with data you want to copy.",
		lasrServerSelect_header_title:"Choose the LASR server you want to copy the tables to.",
		queryDsnSelect_header_title:"Choose the data source with the data you want to query.",
		tableSelect_header_title: "Select the table with the data you want to transform.",
		deleteTableSelect_header_title: "Select the table with the data you want to delete.",
		browseTablesSelect_header_title: "Select the table with the data you want to view.",
		lasrTableSelect_header_title: "Select the table with the data you want to copy.",
		deleteRows_header_title: "Select the rows that will be deleted from the selected table. This feature requires Hive 14 transactional support.",
		deleteRows_header_help_text:"Delete rows requires transactional table support which is available in Hive 14 and above. Tables have to be configured correctly in order for Hive transactional support to be enabled.  Tables must be bucketed and partitioned, and must be persisted in a Hive specific format such as the ORC file format.  Please see additional details about the features surrounding transactional tables and how to configure Hive support for them in the Hive documentation.",
		lasrTargetTableSelect_header_title: "Specify the name of the target table.",
		lasrOptionsSelect_header_title: "Specify LASR Server options",
		queryTableSelect_header_title: "Select the table with the data you want to query.",
		hiveDsnSelect_header_title: "Choose where you want to copy the data from.",
		sqoopJDBCSelect_header_title: "Choose where you want to copy data from.  Additional sources can be added through SAS Management Console.",
		sqoopSchemaSelect_header_title: "Choose where you want to copy data from.",		
		sqoopTableSelect_header_title: "Choose the table that you want to copy.",		
		sqoopCatalogSelect_header_title: "Choose the catalog.",		
		sqoopTargetJDBCSelect_header_title: "Choose the target database that you want to copy the data to. You can add additional data sources in the global configuration dialog under the \"Databases\" section.",
		sqoopTargetSchemaSelect_header_title: "Choose the target database schema that you want to copy the data to.",
		sqoopTargetTableSelect_header_title: "Choose the target table that you want to append or update.",		
		sqoopTargetCatalogSelect_header_title: "Choose the catalog that you want to copy the data to.",		
		subsetColumns_header_title: "Select the columns you want to include in the target data file.",	
		subsetColumns_headerAdvancedExpression_title: "Modify the new or existing column below.  Select columns or functions and click the arrow to insert them into the expression.",
		subsetColums_summary_format:"${0} of ${1} columns",
		subsetColumns_summary_format_new: "${0} total columns (${1} of ${2} available, ${3} new)",
		filterColumns_header_title: "Select the rows you want to filter.",
		filterColumns_all_rows: "All rows",
		filterColumns_specify_rows: "Specify rules",
		filterColumns_specify_expression: "Specify expression",
		filterColumns_expressionSpecified: "Expression specified",
		filterColumns_all_rules_rows: "Include rows where all of these rules apply:",
		filterData_noDuplicateRows: "No duplicate rows",
		filterData_noDuplicateRows_help: "When you select \"No duplicate rows\", if multiple identical rows exist in the source table, then only one of those rows will be included in the target table. This field is disabled if you have selected columns to be summarized. Also note that selecting \"All rows\" and \"No duplicate rows\" together is not supported on some older versions of Hive.",
		subsetColumns_all_columns: "All columns",
		subsetColumns_columns_specified: 'Columns specified in \"Summarize Rows\"',
		subsetColumns_specify_columns: "Specify columns",
		subsetColumns_contrib_tables: "Generate output columns which indicate if input table(s) contributed to the output row",
		subsetColumns_contrib_tables_tooltip: "Specifying this option will result in automatic generation of an output column for each selected input table. The automatically generated columns are named 'dl_contrib_table_N' where 'N' represents a number from 1 to the maximum number of selected input tables. When an input table contributes data to an output row the value <schema.tablename> is written to the 'dl_contrib_table_N' column.",
		dualPaneMoveToTop: "Move selected item to the top",
		dualPaneMoveUp: "Move selected item up",
		dualPaneMoveDown: "Move selected item down",
		dualPaneMoveToBot: "Move selected item to the bottom",
		dualPaneDelete: "Remove item",
		dualPaneAdd: "Add new column",
		dualPaneRename: "Rename the selected item",
		dualPaneMoveToSelected: "Move to Selected list",
		dualPaneWithGroups_required: "At least one is required",
		dualPaneNewAdvanced_label: "Add a new column using the advanced editor",
		dualPaneEditAdvanced_label: "Edit the selected column using the advanced editor",
		sortBy_header_title: "Choose columns to sort by",
		sortBy_ascending: "Ascending",
		sortBy_descending: "Descending",
		sortBy_header: "(none)",
		subsetColunns_missingColumns: "${0} or more columns were not found.  The source table may have been modified.",
		filterColumns_missingColumns: "The following columns used in the filter were not found: ${0}.  The source table may have been modified.",
		sortByColumns_missingColumns: "The following columns used in the sort by were not found: ${0}. The source table or a previous step may have been modified.",
		standardizeData_missingColumns: "${0} or more columns were not found.  The source table may have been modified.",
		standardizeData_missingDefinitions: "${0} or more definitions were not found.  The source QKB database may have been modified.",
		parseData_missing_tokens_warning: "${0} or more selected tokens were not found.  The source QKB database may have been modified.",
		fieldExtraction_missing_tokens_warning: "${0} or more selected tokens were not found.  The source QKB database may have been modified.",
		chainDirectives_missingDirectives: "${0} or more saved directives were not found.",
		summarizeRows_noDataMessage: "No columns are available",
		summarizeRows_header_title: "Select the columns to group by and the columns to summarize within the groups",
		summarizeRows_conflict_message: "The new column name conflicts with an existing column name",
		summarizeRows_conflict_reserved_message: "The new column name conflicts with a SAS reserved word",
		summarizeRows_conflict_hive_reserved_message: "The new column name conflicts with a HIVE reserved word",
		summarizeRows_missing_message: "This field is required",
		summarizeRows_invalid_message: "Invalid characters",
		summarizeRows_invalid_message2: "New column name cannot begin with an underscore or number",
		summarizeRows_allNumColumns: "(all numeric columns)",
		manageCols_length_message: "Enter a numeric value",
		manageCols_expressionGoesHere: "Expression goes here...",
		mangeCols_deleteColumns: "Delete Columns",
		mangeCols_deleteColumnsMessage: "Any expressions or new columns will be removed.  Are you sure you want to remove all the target columns?",
		manageColumns_ExpressionRequiresLength_message: "This type of column requires a length if it has an expression.",
		manageColumns_NewColumnRequiresExpression_message: "Creating a new column requires setting an expression",
		manageColumns_TypeChangeRequiresExpression_message: "Changing an existing column type requires setting an expression.",
		manageColumns_VarcharLengthOutOfRange_message: "Columns of type VARCHAR have a maximum length of ${0}",
		manageColumns_CharLengthOutOfRange_message: "Columns of type CHAR have a maximum length of ${0}",
		manageColumns_InvalidLength_message: "The length must be greater than one.",
		manageColumns_SourceColumnNamingCollision_message: "The new column name must not match a column name from the source column list.",
		advancedExpression_MultipleFunctions_txt: "(multiple functions selected)",
		advancedExpression_NoFunctions_txt: "(no functions selected)",
		advancedExpression_Example_txt: "Example:\n",
		advancedExpression_Returns_txt: "Returns:\n",
		advancedExpression_Parameters_txt: "Parameters:",
		advancedExpression_ParametersTypeDisplay_format: "Type: ${0};",
		advancedExpression_ParametersNameDisplay_format: "Name: ${0}",
		advancedExpression_ParametersDescriptionDisplay_format: "Description: ${0}",
		advancedExpression_FunctionsPane_title: "Functions",
		advancedExpression_ColumnsPane_title: "Columns",
		advancedExpression_ColumnNameInput_label: "Column name:",
		advancedExpression_ColumnTypeInput_label: "Column type:",
		advancedExpression_ColumnLengthInput_label: "Column length:",
		advancedExpression_ColumnDescriptionInput_label: "Column description:",
		advancedExpression_CancelButton_label: "Cancel",
		advancedExpression_SaveButton_label: "Save",
		advancedExpression_SaveAndNewButton_label: "Save and New",
		advancedExpression_AllFunctionsCategory_label: "All Functions",
		advancedExpression_OtherCategory_label: "Other",
		editorTooltip_text: "insert selected items into the expression",
		subsetResources_label:"Resources:",
		subsetAvailable: "Available columns:",
		subsetSelected: "Selected columns:",
		subsetColumns: "Columns:",	
		subsetSourceName: "Source Name",
		subsetTableAlias: "Table Alias",
		subsetTargetName: "Target Name",
		subsetType: "Type",
		subsetLength: "Length",
		subsetExpression: "Expression",
		subsetExpression_DS2_columnHeader: "Expression",
		subsetExpression_Hive_columnHeader: "Expression",
		subsetExpression_EEL_label: "EEL expression:",
		subsetExpression_DS2_label: "DS2 expression:",
		subsetExpression_Hive_label: "SQL code:",
        subsetExpression_dialect_help_label: "Expressions should use DS2 syntax if the directive's runtime target is MapReduce, and EEL syntax if the directive's runtime target is Hadoop Spark.  The runtime target setting may be changed in the directive's Settings dialog.",
		tokensAvailable: "Available tokens:",
		tokensSelected: "Selected tokens:",
		tokensSourceName: "Name",
		tokensTargetName: "Output Column Name",
	    genericAvailable: "Available:",
	    genericSelected: "Selected:",
		generateMatchCodes_header_title: "Select the columns that you want to generate match codes for, the definition you want to apply, the sensitivity of the match and enter a name for the new column.",
		identificationAnalysis_header_title: "Select the columns that you want to determine the type of data for, the definition you want to apply and enter a name for the new column.",
		standardizeData_header_title: "Select the columns you want to standardize, the definition you want to apply and enter a name for the new column.",
		changeCase_header_title: "Select the columns that you want to change the case for, the type and Definition you want to apply and enter a name for the new column.",
		pattern_header_title: "Select the columns that you want determine the pattern for, the Definition you want to apply and enter a name for the new column.",
		genderAnalysis_header_title: "Select the columns that you want determine the gender for, the Definition you want to apply and enter a name for the new column.",
		parseData_header_title: "Select the column you want to parse.",
		fieldExtraction_header_title: "Select the column that you want extract data for, the Definition you want to apply and the data you want to extract.",			
		profileChooseDSN_header_title: "Choose the data source with data you want to profile.",
		profileChooseTable_header_title: "Select the tables with data you want to profile.",
		profileSelectColumns_header_title: "Select the columns you want to profile.",
		profileSelectColumsMultiple_summary_format:"${0} (${1} of ${2} columns)",
		profileReportProperties_header_title:"Specify properties of the report.",
		profileReportProperties_invalid_message: "Profile report name cannot contain '/' or begin or end with spaces.",
		profileReportName_label:"Report name:",
		profileReportLocation_label:"SAS folder location:",
		profileSpecifyReportLocation_label:"Specify SAS folder report location",
		profileReport_separateReport_label:"Create a separate report for each table profiled. The report name will be suffixed by the name of each table.",
		profileReport_separateReportSummary_format_singular:"${0} report",
		profileReport_separateReportSummary_format_plural:"${0} reports",
		reportLocationDialog_header_title:"Report Location",
		reportLocationDialog_label:"Select a location for the profile report:",
		profileAddFolder_label:"Create New Folder",
		profileDeleteFolder_label:"Delete Folder",
		addFolderDialog_header_title:"New Folder",
		addFolderDialog_open_label:"Open Folder",
		addFolderDialog_label:"Type in a name for the new folder:",
	    tableDelete_title: "Delete Table",
	    tableDeleteView_title: "Delete View",
	    tableDelete_content: "Are you sure you want to delete the table '${0}'?  Once this table is deleted it cannot be restored.",
	    tableDeleteView_content: "Are you sure you want to permanently delete the view '${0}'?  The view's underlying table(s) will not be deleted.",
	    tableDeleteFailed_label: "The table was not deleted.  Check to make sure you are authorized to perform this action.",
	    credentialsRemove_title: "Remove user id and password",
	    credentialsRemove_content: "Are you sure you want to remove the user id and password?", 
	    databaseRemove_title: "Remove database configuration(s)",
	    databaseRemove_content: "Are you sure you want to remove the selected database configuration(s)?", 
	    lasrServerRemove_title: "Remove LASR Analytic Server configuration(s)",
	    lasrServerRemove_content: "Are you sure you want to remove the selected LASR Analytic Server configuration(s)?", 
		targetTable_SelectDataSource_txt: "Select the location of the target table",
		targetTable_SelectTable_txt: "Select the target table you want to write the transformed data to.",
		targetTable_newTable: "new_table_",
		targetTable_newTableConflict: "Table name conflicts with an existing table",
		targetTable_newTableInvalid: "Table name contains invalid characters",
		targetTable_newTableInvalid2: "Table name must begin with a letter",
		targetTable_newTableMissing: "The new table name cannot be blank",
		targetTable_conflict_reserved_message: "The new table name conflicts with a SAS reserved word",
		targetTable_conflict_hive_reserved_message: "The new table name conflicts with a HIVE reserved word",
		existingTableOption_tooltip:"Select the method for handling an existing table",
		existingTableOption_replace_label:"Replace the entire table",
		existingTableOption_insert_label:"Insert into the existing table",
		existingTableOption_noreplace_label:"No Replace",
		existingTableOption_insertOverwrite_label:"Insert new rows and overwrite existing rows",
		errorServer: "Something bad happened on the server.",
		errorClose: "Close",
		errorDetails: "Details",
		errorGeneric_title:"Error",
		errorDetails_hide: "Hide",
		errorFileUpload_title: "File Upload Error",
		errorFileUpload_details: "File ${0} could not be uploaded.",
		errorNoResponseFromServer_txt:"No response was received from the server. Check that the server is running and you are connected to the network.",
		errMsgFailedToRetrieveDirectives: "Failed to retrieve Directives from the server.",
		errMsgFailedToRetrieveTables: "Failed to retrieve tables from the server.",
	    errMsgFailedToPingEP: "Failed to determine the existence of the Embedded Process on the Hadoop server.",
	    dbDataAccessError_txt:"There was an error while trying to access the data.",
		causedBy_txt:"The cause reported by the system was: ",
		noDirectivesFound: "Failed to retrieve Directives from the server, no Directives were found.",
		defaultDataSourceBrowser_header_title: "",
		defaultDataSourceBrowserNoData_txt: "No data found",
		executionStart_TransformInHadoop_label: "Start Transforming Data",
		executionStart_Delete_label: "Start Deleting Data",
		executionStart_TransposeInHadoop_label: "Start Transposing Data",
        executionStart_Profile_label: "Create Profile Report",
        executionStart_copyLASR_label: "Start Loading Data",
        executionStart_QueryInHadoop_label:"Start Querying Data",
        executionStart_JoinTablesInHadoop_label:"Start",
        executionStart_CopyToHadoop_label: "Start Copying Data",
        executionStart_CopyCSVToHadoop_label: "Start Importing Data",
		executionStart_ClusterSurvive_label: "Start Processing Data",
		executionStart_MergeData_label: "Start Merging Data",
		executionStarted: "Started",
		executionCompleted: "Completed",
		executionProgressQueryFailed_txt:"Unable to query execution progress",
		executionViewLog_label: "Log",
		executionViewLog_tooltip: "Download the log file generated by this execution",
		executionViewLog_iconClass:"viewLogImg",
		executionViewCode_label: "Code",
		executionViewCode_tooltip: "Download the code generated by this execution",
		executionViewCode_iconClass:"viewCodeImg",
		executionViewResult_label: "View Results",
		executionViewResult_tooltip: "Open the results in a new window",
		executionViewResult_iconClass:"viewDataToolbarImg",
		profileExecutionViewResult_label: "View Profile Report",
		profileExecutionViewResult_tooltip: "Open the report in a new window",
		profileExecutionViewResult_iconClass:"profileImgSmall",
		executionViewStop_label: "Stop",
		executionViewStop_tooltip: "Stop this execution",
		executionViewStart_label: "Start",
		executionViewStart_tooltip: "Start a new execution using the parameters from this execution",
	    executionViewOpen_label: "Open",
	    executionViewOpen_tooltip: "Open the directive associated with this execution",
	    executionViewClear_label: "Delete",
	    executionViewClear_tooltip: "Erase this execution",
		executionViewTarget: "View Target Table",
		executionViewResult: "View Results",
		executionWarnError: "Error Details",
		executionStart_Default_label:"Execute directive",
		executionStatus_Environment_format: "Preferred runtime: ${0}",
		execDefault: "Running directive",
		execSuccess: "Succesfully",
		execError: "Failed",
		serverError_txt:"Internal Server Error",
		defaultErrorDialog_title: "Error details",
		defaultErrorDialog_message: "No error details were provided.",
        profileDataSummarySuccess_label:"Successfully profiled data",
        profileDataSummaryFailed_label:"Failed to profile data",
        profileDataSummaryInProcess_label:"Profiling data",
		transformDataSummarySuccess_label:"Successfully transformed data",
		deleteDataSummarySuccess_label:"Successfully deleted data",
		transformDataSummaryFailed_label:"Failed to transform data",
		deleteDataSummaryFailed_label:"Failed to delete data",
		transformDataSummaryInProcess_label:"Transforming data",
		deleteDataSummaryInProcess_label:"Deleting data",
		transposeDataSummarySuccess_label:"Successfully transposed data",
		transposeDataSummaryFailed_label:"Failed to transpose data",
		transposeDataSummaryInProcess_label:"Transpose data",
		querySummarySuccess_label:"Successfully queried data",
		copySummarySuccess_label:"Succesfully copied data",
		csvImportSummarySuccess_label:"Succesfully imported data",
		querySummaryFailed_label:"Failed to query data",
		copySummaryFailed_label:"Failed to copy data",
		csvImportSummaryFailed_label:"Failed to import data",
		querySummaryInProcess_label:"Querying data",
		copySummaryInProcess_label:"Copying data",
		csvImportSummaryInProcess_label:"Importing data",
		joinSummarySuccess_label:"Successfully joined tables",
		joinSummaryFailed_label:"Failed to join tables",
		joinSummaryInProcess_label:"Joining tables",
		mergeDataSummarySuccess_label:"Successfully merged tables",
		mergeDataSummaryFailed_label:"Failed to merge tables",
		mergeDataSummaryInProcess_label:"Merging tables",
		summarize_no_numeric_columns: "Numeric columns cannot be found in the table",
		summarize_allColumns: "(all numeric columns)",
		summarize_allAggregations: "(all aggregations)",
		summarize_mean: "Mean",
		summarize_min: "Min",
		summarize_max: "Max",
		summarize_med: "Median",
		summarize_css: "Corrected Sum of Squares",
		summarize_covariance: "Covariance",
		summarize_nmiss: "Number of Missing Values",
		summarize_variance: "Variance",
		summarize_stdErr: "Standard Error",		
		summarize_count: "Count",
		summarize_countDistinct: "Count Distinct",
		summarize_sum: "Sum",
		summarize_range: "Range",
		summarize_stdDev: "Standard Deviation",
		summarize_left_header: "Summarize column:",
		summarize_middle_header: "Aggregation:",
		summarize_right_header: "New column name:",
		LASR_missing_message: "Table name cannot be blank",
		LASR_sourceTableName: "Source table name:",
		LASR_targetTableName: "Target table name:",
		LASR_replaceCheckBoxLabel: "Replace the existing target table if one exists with the same name",
		LASR_compressCheckBoxLabel: "Compress the target table",
		LASR_compressOptionSummaryTrue: "Compress the target table",
		LASR_compressOptionSummaryFalse: "Do not compress the target table",
		LASR_useSasIolaEngineLabel: "Use SASIOLA engine to copy data to LASR server",
		LASR_invalid_message1: "Table name must begin with a letter",
		LASR_invalid_message2: "Table name contains invalid characters",
		LASR_conflict_reserved_message: "Table name conflicts with a SAS macro reserved word",
		LASR_SAS_folders_location_edit: "edit",
		LASR_specify_folder: "SAS folder for tables:",
		LASR_specify_folder_missing: "SAS folder cannot be blank",
		LASR_specify_folder_invalid: "Invalid input",
		LASR_specify_path: "Library location:",
		LASR_specify_path_missing: "Library location cannot be blank",
		LASR_specify_path_invalid: "Invalid input",
		lasr_return_to_servers: "Return to LASR servers",
		LASR_no_servers: "LASR servers could not be retrieved, or LASR servers have not been configured. Check the configuration settings.",
		LASR_server_missing: "The LASR server definition could not be found.",
		LASRSummaryInProcess_label: "Copying data",
		LASRDataSummarySuccess_label: "Successfully copied data",
		LASRDataSummaryFail_label: "Failed to copy data",
		sampleLibraryDescription: "Location for Sample Data",
		userLibraryDescription: "Location for User Data",
		workspaceServerDescription: "SAS libraries available to the SAS Workspace Server in the SAS Metadata Server",
		defaultSuccessSummaryMessage_label:"Processing complete",
		defaultFailureSummaryMessage_label:"Processing failed",
		defaultInProcessSummaryMessage_label:"Processing",
		execStandardizing: "Standardizing data",
		execTransforming: "Transforming data",
		execTransformFin: "transformed data",
		execStandardizeFin: "standardized data",
		execDefaultFin: "ran directive",
		browseTablesViewTable_label: "View Table",
		nextButton_label:"Next",
		dialogButtonApply_label:"Apply",
		dialogButtonUpdate_label:"Reload...",
		dialogButtonOK_label:"OK",
		dialogButtonCancel_label:"Cancel",
		dialogButtonDelete_label:"Delete",
		dialogButtonClose_label:"Close",
		dialogButtonDetails_label:"Details",
		lastRunCheckBox_label:"Last Run",
		updateConfigurationDialog_title:"Confirm Update",
		updateConfigurationDialog_intro:"The following configuration settings will be updated:",
		updateConfigurationDialog_hive:"Your Hive host and port will be updated to:",
		updateConfigurationDialog_impala:"Your Impala host and port will be updated to:",
		updateConfigurationDialog_sql:"Your SQL environment will become ${0}.",
		updateConfigurationDialog_runtime:"Your preferred runtime target will become ${0}.",
		updateConfigurationDialog_oozie:"Your Oozie URL will be updated to:",
		updateConfigurationDialog_empty:"[empty]",
		saveDirectiveDialog_title:"Duplicate",
		saveDirectiveDialog_title_rename:"Rename",
		saveDirectiveDialog_name_label:"Directive name:",
		saveDirectiveDialog_desc_label:"Description:",
		saveDirectiveDialog_folder_label:"SAS folder:",
		saveDirectiveDialog_missingMessage:"Please enter a name for the directive",
		saveDirectiveDialog_duplicateMessage:"This name is already in use by another directive",
		unSavedDirectiveDialog_title:"Unsaved Directive",
		unSavedDirectiveDialog_content:"Are you sure you want to navigate away without saving?",
		targetSameAsSourceWarningDialog_title:"Warning",
		targetSameAsSourceWarningDialog_content:"Warning: You have selected the same target table as the source table.  Your source table will be overwritten.  Do you wish to continue?",
		directiveNotFoundError_txt:"Could not perform operation because the specified directive was not found.",
		successful_status_message: "Successful",
		abandoned_status_message: "Abandoned",
		failed_status_message: "Failed",
		inprogress_status_message: "In Progress",
		stopping_status_message: "Stopping",
		starting_status_message: "Starting",
		stopped_status_message: "Stopped",
		warning_status_message: "Warning",
		savedDirectives_header_title:"Select the directive you want to open",
		savedDirectives_manageSavedDirectives_label:"Manage Saved Directives...",
		savedDirectives_errorMessagePrefix_txt:"There was an error opening the saved directive:",
		savedDirectives_no_files_message_txt:"No files or folders found",
		savedDirectives_contentFile_header_title: "Locate the directive you want to load",
		manageSavedDirectivesDialog_titleSave:"Save Directive",
		manageSavedDirectivesDialog_titleSaveAs:"Save Directive As",
		manageSavedDirectivesDialog_titleManage:"Manage Saved Directives",
		manageSavedDirectivesDialog_name_label:"Directive name:",
		manageSavedDirectivesDialog_desc_label:"Description:",
		manageSavedDirectivesDialog_openAction:"Open",
		manageSavedDirectivesDialog_copyAction:"Duplicate...",
		manageSavedDirectivesDialog_deleteAction:"Delete",
		manageSavedDirectivesDialog_renameAction:"Rename...",
        manageSavedDirectivesDialog_moveAction:"Move to Folder",
        manageSavedDirectivesDialog_newAction:"New Folder",
		manageSavedDirectivesDialog_refreshAction:"Refresh",
		manageSavedDirectivesDialog_openActionTooltip:"Open",
		manageSavedDirectivesDialog_copyActionTooltip:"Duplicate",
		manageSavedDirectivesDialog_deleteActionTooltip:"Delete",
		manageSavedDirectivesDialog_renameActionTooltip:"Rename",
        manageSavedDirectivesDialog_moveActionTooltip:"Move to Folder",
        manageSavedDirectivesDialog_newActionTooltip:"New Folder",
		manageSavedDirectivesDialog_refreshActionTooltip:"Refresh",
		manageSavedDirectivesDialog_nameCol:"Name",
		manageSavedDirectivesDialog_modifiedCol:"Last Modified",
		manageSavedDirectivesDialog_modifiedByCol:"Modified by",
		manageSavedDirectivesDialog_createdCol:"Created",
		manageSavedDirectivesDialog_missingMessage:"Please enter a name for the directive",
		manageSavedDirectivesDialog_duplicateMessage:"This name is already in use by another directive",
		runStatusNoData_message: "No results found",
	    runStatusRefresh_label: "Refresh",     
	    lasrServersRefresh_label: "Refresh LASR servers",
	    runStatusRefresh_tooltip: "Refresh the list of run status information",
	    runStatusClearAll_label: "Clear All",
	    runStatusClearAll_tooltip: "Clear all run status information from the server",
	    clearAllRunStatusConfirmDialog_title: "Clear All Run Status",
	    clearAllRunStatusConfirmDialog_message: "This operation will clear all historical run status information from the server.",
	    stopExecutionRunStatusConfirmDialog_title: "Stop Execution",
	    stopExecutionRunStatusConfirmDialog_message: "This operation will stop the execution of the selected running directive.",
	    edit_hive_code: "Edit Code",
	    revert_code_changes: "Reset Code",
	    application_more_label: "More",
	    application_configuration_label: "Configuration",
	    application_backup_label: "Back Up Directives",
	    application_backup_dialog_title:"Backup",
	    application_backup_complete_txt:"Backup completed successfully.",
	    application_backup_error_txt:"Error creating backup.",
	    configurationDialog_title: "Configuration",
	    configurationDialog_hadoop_pane: "Hadoop Configuration",
	    configurationDialog_storage_settings_pane: "Storage Settings",
	    configurationDialog_lasr_pane: "LASR Analytic Servers",
	    configurationDialog_database_pane: "Databases",
	    configurationDialog_qkb_pane: "QKB Administration",
	    configurationDialog_profile_pane: "Profiles",
	    configurationDialog_ruleGeneration_pane: "Rule Generation",
	    configurationDialog_general_pane: "General Preferences",
	    configurationDialog_hadoop_header: "Hadoop",
	    configurationDialog_host_label: "Host:",
	    configurationDialog_port_label: "Port:",
	    configurationDialog_hive_server_port_label: "Hive server port:",
	    configurationDialog_userid_label: "User ID:",
	    configurationDialog_oozie_label: "Oozie URL:",
	    configurationDialog_sasWorkspaceServer_label: "SAS Workspace Server:",
	    configurationDialog_delete_label: "Delete",
	    configurationDialog_password_label: "Password:",
	    userIdPass_remove_tooltip: "Remove User Id and password",
	    configurationDialog_preferred_sql_env_label: "SQL environment:",
	    configurationDialog_preferred_hive_server_label: "Hive server:",
	    configurationDialog_preferred_impala_server_label: "Impala server:",
	    configurationDialog_preferred_sql_env_use_hive_label: "Hive",
	    configurationDialog_preferred_sql_env_use_impala_label: "Impala",
	    preferredSqlEnvironment_hive: "Hive",
	    preferredSqlEnvironment_impala: "Impala",
	    configurationDialog_preferred_sql_env_server_host_label: "Host:",
	    configurationDialog_preferred_sql_env_server_port_label: "Port:",
	    configurationDialog_preferred_sql_env_test_connection: "Test Connection",
	    configurationDialog_schema_header: "Schema for temporary file storage:",
	    configurationDialog_schemadefault_label: "Use the default schema",
	    configurationDialog_schemaspecify_label: "Specify a different schema:",
	    configurationDialog_hiveStorageLocation_header: "Hive storage location:",
	    configurationDialog_hiveStorageLocationDefault_label: "Use the default Hive location",
	    configurationDialog_hiveStorageLocationSpecify_label: "Specify alternate storage location:",
	    configurationDialog_hdfsTemporaryLocation_header: "SAS HDFS temporary storage location:",
	    configurationDialog_hdfsTemporaryDefault_label: "Use the default temporary location",
	    configurationDialog_hdfsBrowserDialog_title: "Select Directory",
		configurationDialog_sasFoldersBrowserDialog_title: "Select SAS Folder",
	    configurationDialog_storageDisabled_help_txt: "To enable this option, provide a valid host, port and user ID and click the OK button.",
	    configurationDialog_hiveStorage_help: "This setting lets you provide a location in the Hadoop file system to store your content that is not the default storage location configured for the warehouse.  You must have appropriate permissions to this location in order to use it.",
	    configurationDialog_hdfsStorage_help: "This setting allows you to provide a location in the Hadoop file system to read and write temporary content when using SAS specific features.  You must have appropriate permissions to this location in order to use it.",
	    configurationDialog_hiveStorage_error: "Hive storage location is required when the default location is not selected.",
	    configurationDialog_hiveLocationNotFound_error: "Unable to browse the file system.  Ensure the host and port are valid and the specified user has appropriate permissions.",
	    configurationDialog_deleteHadoopCredentials_error_txt: "Failed to remove the user id and password for the server.",
	    configurationDialog_server_label: "Server:",
	    configurationDialog_hive_server_host_label: "Hive server host:",
	    configurationDialog_hadoopPreferredRuntime_label: "Preferred runtime target:",
	    configurationDialog_lasr_header: "LASR Analytic Servers",
	    configurationDialog_user_help: "If user ID and password are not provided, the connection will be an unsecured connection.",
	    configurationDialog_schema_help: "Enter the name of an existing schema.",
	    configurationDialog_schema_error: "Schema name is required when the default schema is not selected.",
	    configurationDialog_setHadoopServer_error_txt:"There was an error while setting the Hadoop Server information.\nSee the log for additional details.",
	    configurationDialog_setHadoopCredentials_error_txt:"There was an error while setting the credential information.\nSee the log for additional details.",
	    configurationDialog_setPreferredSQLEnvironment_error_txt:"There was an error while setting the Preferred SQL Environment.\nThis setting is also available to set on a per-directive basis",
	    configurationDialog_setImpalaServer_error_txt:"There was an error while setting the Impala Server information.\nSee the log for additional details.",
	    configurationDialog_getHadoopServer_error_txt:"There was an error while retrieving the Hadoop Server information.  Please contact the administrator to resolve this issue.",
	    configurationDialog_getHadoopCredentials_error_txt:"There was an error while retrieving the credential information.\nSee the log for additional details.",
	    configurationDialog_getPreferredSQLEnvironment_error_txt:"There was an error while retrieving the Preferred SQL Environment.\nThis setting is also available to set on a per-directive basis",
	    configurationDialog_getImpalaServer_error_txt:"There was an error while retrieving the Impala Server information.  Please contact the administrator to resolve this issue.",
	    configurationDialog_hiveNotConfiguredWarningMessage_txt:"(Apply your hadoop configuration settings to enable.)",
	    configurationDialog_testConnectionFailed_default_txt:"Unable to establish a connection.",
	    configurationDialog_testConnectionFailed_impalaEmptyFields_txt:"Please try providing a different Host name and (or) Port number.",
	    configurationDialog_qkbAppDefaultLocale_help_txt: "This action, available only to administrative users, will publish the QKB metadata information from the hadoop cluster QKB to the data loader application if the QKB has been installed recently or has changed on the cluster since the last publish.  Administrators typically will only need to run this action when the QKB has been updated on the hadoop cluster.",
	    newFolderDialog_title: "New Folder",
	    newFolderDialog_label: "New Folder Name:",
	    newFolderDialog_invalidChars_warn: "Invalid Character(s)",
	    newFolderDialog_alphanumeral_warn: "Missing alpha-numeric character(s)",
	    newFolderDialog_existingName_warn: "Folder name already exists",
	    newFolderDialog_failed_error: "Failed to create a new folder.",
	    deleteFolderDialog_message: "Are you sure you want to delete ${0} folder?",
	    deleteFileDialog_message: "Are you sure you want to delete ${0} file?",
	    hdfs_renameDialog_label: "New Name:", 
	    executionEnvironment_global: "Use global preference",
	    executionEnvironment_default: "MapReduce",
	    executionEnvironment_architectSpark: "Hadoop Spark",
	    executionEnvironment_architectCAS: "SAS Analytical Server",
		executionEnvironment_spark2: "Hadoop Spark 2",
	    executionEnvironment_FederationServer: "SAS Federation Server",
	    lasrServersGrid_nameCol: "Name",
	    lasrServersGrid_hostCol: "Host",
	    lasrServersGrid_portCol: "Port",
	    lasrServersGrid_add_tooltip: "Add",
	    lasrServersGrid_edit_tooltip: "Edit",
	    lasrServersGrid_remove_tooltip: "Remove",
	    lasrServerConfigurationDialog_title: "LASR Server Configuration",
	    lasrServerConfigurationDialog_lasr_header: "LASR Analytic Server Configuration",
	    lasrServerConfigurationDialog_name_label: "Name:",
	    lasrServerConfigurationDialog_description_label: "Description:",
	    lasrServerConfigurationDialog_host_label: "Host:",
	    lasrServerConfigurationDialog_port_label: "Port:",
	    lasrServerConfigurationDialog_user_label: "LASR User ID:",
	    lasrServerConfigurationDialog_location_label: "LASR authorization service location:",
	    lasrServerConfigurationDialog_sasIOLA_label: "Use SASIOLA engine to copy data to LASR server",
	    lasrServerConfigurationDialog_metadata_header: "Metadata Configuration",
	    lasrServerConfigurationDialog_server_header: "Connection Profile",
	    lasrServerConfigurationDialog_server_label: "Host:",
	    lasrServerConfigurationDialog_userid_label: "User ID:",
	    lasrServerConfigurationDialog_password_label: "Password:",
	    lasrServerConfigurationDialog_deletecredentials_label: "Delete",
	    lasrServerConfigurationDialog_repository_header: "Default Locations",
	    lasrServerConfigurationDialog_repository_label: "Repository:",
	    lasrServerConfigurationDialog_folder_label: "SAS folder for tables:",
	    lasrServerConfigurationDialog_folder_help_txt: "Select the SAS Folder where you want to register the table.  This is the folder in the SAS metadata server that points to the metadata about the table.",
	    lasrServerConfigurationDialog_library_label: "Library location:",
	    lasrServerConfigurationDialog_library_help_txt: "Select the Library where you want to register the table.  This is the SAS library that will point to the table when the table is imported into the LASR server.",
	    lasrServerConfigurationDialog_tag_label: "LASR server tag:",
	    lasrServerConfigurationDialog_user_help: "This is the user ID of a valid user on the LASR grid to use when communicating to the LASR server.",
	    lasrServerConfigurationDialog_location_help: "Enter the URL to the location of the SAS LASR Analytic Server authorization service associated with the LASR server that you want to connect to.  Your SAS administrator should be able to provide you with the correct information to enter in this field.",
	    lasrServerConfigurationDialog_sasIOLA_help: "Use the IOLA engine when you want to load an SMP LASR server or when you don't want a parallel load.",
	    lasrServerConfigurationDialog_connectionprofile_help: "The information in the Connection Profile section is needed in order to correctly connect to the SAS Metadata Server that is associated with the SAS LASR Analytic Server instance that you want to connect to.   Your SAS administrator should be able to provide you with the information to enter in this section.",
	    lasrServerConfigurationDialog_defaultlocation_help: "The information in the Default Locations section is used to determine where to store the data tables when they are loaded in the SAS LASR Analytic Server environment and where to register the data table information in the SAS Metadata Server associated with the SAS LASR Analytic Server environment.  All of this information must already exist in the SAS LASR Analytic Server environment that you want to connect to.  Your SAS administrator should be able to provide you with the information to enter in this section.",
	    databaseConfigurationDialog_title: "Database Configuration",
	    databaseConfigurationDialog_name_label: "Name:",
	    databaseConfigurationDialog_description_label: "Description:",
	    databaseConfigurationDialog_server_header: "Server Configuration",
	    databaseConfigurationDialog_type_label: "Type:",
	    databaseConfigurationDialog_oracle_type: "Oracle",
	    databaseConfigurationDialog_teradata_type: "Teradata",
	    databaseConfigurationDialog_federation_type: "SAS Federation Server",
	    databaseConfigurationDialog_other_type: "Other",
	    databaseConfigurationDialog_driver_label: "Driver class:",
	    databaseConfigurationDialog_host_label: "Host:",
	    databaseConfigurationDialog_port_label: "Port:",
	    databaseConfigurationDialog_dbname_label: "Database name:",
	    databaseConfigurationDialog_sid_label: "Service name:",
	    databaseConfigurationDialog_connMgr_label: "Connection manager:",
	    databaseConfigurationDialog_dsn_label: "DSN:",
	    databaseConfigurationDialog_connectstring_label: "Connect string:",
	    databaseConfigurationDialog_edit_tooltip: "Edit",
	    databaseConfigurationDialog_reset_tooltip: "Reset",
	    databaseConfigurationDialog_connectstring_help: "Enter the string that your DBMS JDBC driver uses to connect to a database.",
	    databaseConfigurationDialog_authentication_header: "Authentication",
	    databaseConfigurationDialog_userid_label: "User ID:",
	    databaseConfigurationDialog_password_label: "Password:",
	    databaseConfigurationDialog_testconnection_label: "Test Connection",
	    databaseConfigurationDialog_testconnection_msgbox_title: "Test Connection",
	    databaseConfigurationDialog_testconnection_msgbox_success: "Connection established!",
	    databaseConfigurationDialog_deletecredentials_label: "Delete",
	    generalPreferences_markTablesAsNew: "Identify each table as \"new\" when created or modified",
	    generalPreferences_numberOfDaysToDisplay: "Number of days to display \"new\" identification:",
	    generalPreferences_maxSasCharLength: "Maximum length for SAS columns:",
	    generalPreferences_maxSasCharLength_lable: "character(s)",
	    generalPreferences_outputTableFormat: "Output table format:",
	    generalPreferences_rememberHiveSchema_label: "Automatically select the most recently selected hive schema",
	    generalPreferences_qkbDefaultLocale_label: "Default QKB locale:",
	    generalPreferences_qkbNotAvailable_txt: "(Not Available)",
	    qkbConfig_defaultLocale: "System default QKB locale:",
	    qkbConfig_lastUsed: "Automatically change default to \"last used\" when I change locales",
	    qkbConfig_load_label:"Publish QKB",
	    qkbConfig_publishQKB_msgbox_title: "Publish QKB",
	    qkbConfig_publishQKB_msgbox_success: "Publish complete!",
	    qkbConfig_publishQKB_failed_default_txt:"Unable to publish QKB information.",
	    profileConfigPane_columnProcessing_title: "Column processing:",
	    profileConfigPane_processAll: "Process all columns regardless of the number of unique values each one contains",
	    profileConfigPane_stopProcessing: "Do not process any column with a number of unique values that exceeds:",
	    profileConfigPane_stopProcessing_rangeMessage: "Value must be between 0 and 99999999",
	    profileConfigPane_maxFreqVals: "Maximum number of frequency distribution values to save:",
	    profileConfigPane_maxFreqVals_rangeMessage: "Value must be between 1 and 99999999",
	    profileConfigPane_maxFreqVals_help: "If there are more unique values than this number, the less-frequent values will be combined into an \"Other\" frequency distribution",
	    profileConfigPane_maxOutlierVals: "Number of outlier values to save:",
	    profileConfigPane_maxOutlierVals_rangeMessage: "Value must be between 1 and 99999999",
	    profileConfigPane_minimizeMapReduceJobs_label:"Minimize the number of MapReduce jobs created for a profile run.",	    	    
	    profileConfigPane_profileRun_title:"Profile run performance optimization:",
	    profileConfigPane_profileRun_helpText: "This setting allows you to control how many parallel processes will be run in a profile job. By default, each column will be run in a parallel process on your Hadoop cluster, which provides the best performance. Only use a single MapReduce job run if you are using small data tables.",
	    profileConfigPane_numberOfThreads_label:"Number of columns profiled simultaneously: ",
	    profileConfigPane_singleMapReduce:"Use a single Map Reduce job run",
		hadoopConfigPane_hiveServer_helpText:"Test connection will attempt to connect to the Hive server with your identity.  If the connection fails, please contact your administrator.",
		hadoopConfigPane_impalaServer_helpText:"Test connection will attempt to connect to the Impala server, if it exists on your cluster, with your identity.  If the connection fails, please contact your administrator.",
		hadoopConfigPane_sqlEnvironment_helpText:"This setting allows you to set your preferred SQL runtime environment for some directives.  Note that this will only apply if that environment is available on your cluster.",
		hadoopConfigPane_preferredRuntime_helpText:"This setting allows you to set your preferred Hadoop runtime environment for some directives.  Note that this will only apply if that environment is available on your cluster.",
		hadoopConfigPane_oozie_helpText:"This field is for information purposes only to display this setting for your cluster.  Your administrator may need this information if you have problems running some directives.",
    	hadoopConfigPane_sasWorkspaceServer_helpText:"This setting allows you you set your preferred SAS Workspace server for the current logged in user. It should default to the System specified workspace server from the Data Loader Application Configuration displayed in SMC.",
    	hadoopConfigPane_sasWorkspaceServer_option_default: "(Default)",
	    messageBox_overwrite_title: "Overwrite",
	    messageBox_overwrite_label: "A saved directive with this name already exists. Click OK to overwrite it.",
		messageBox_overwrite_file_title: "Overwrite",
	    messageBox_overwrite_file_label: "A file with the name \"${0}\" already exists. Click OK to overwrite it.",
	    messageBox_delete_title: "Delete",
	    messageBox_delete_label: "Delete the selected items?",
	    messageBox_rename_title: "Rename",
	    messageBox_rename_label: "This name is already in use by another saved directive. Please enter a different name.",
	    query_userModifiedCode: "(custom code)",
	    query_generatedCode: "(generated code)",
	    query_subsetColumns_header_title2: 'Columns were specified in the \"Summarize Rows\" step',
	    query_subset_info: "Because you chose columns to group by and summarize within, those columns (and only those columns) will be included in the output table. It is not possible to make any further column selections.",
	    sessionTimeoutDlg_title:"Session Timeout",
	    sessionTimeoutDlg_message:"Your session is about to timeout. Would you like to continue?",
	    sessionTimeoutDlg_countdown_format:"<br><br>Session will time out in ${0} seconds.",
	    sessionTimeoutDlg_OKBtn_label:"Yes",
	    sessionTimeoutDlg_CancelBtn_label:"No",
	    saveDirective_toast_message: "Directive saved successfully",
	    sasCodeView_header_label:"Type or paste the SAS program you want to run.",
	    hiveCodeView_header_label:"Type or paste the SQL program you want to run.",
	    sasCodeView_summary_singular:"line",
	    sasCodeView_summary_plural:"lines",
	    dataSourcePaneBrowserLocation: "Location:",
	    dataSourcePaneBrowserTable: "Table:",
	    dataSourcePaneLoading: "Loading...",
	    dataSourcePaneNoData: "No data found...",
	    joinTables_header_title: "Choose a table to query, or multiple tables to join and the columns to join on",
	    joinTables_base_label: "Base table: ",
	    joinTables_table_default: "Choose a table",
	    joinTables_join_label: "Join:",
	    joinTables_joinon_label: "Join on:",
	    joinTables_and_label: "and",
	    joinTables_column_default: "Choose a column",
	    joinTables_addjoin_label: "Add Join",
	    joinTables_selecttable_title: "Select a table",
	    joinTables_innerjoin_label: "Inner Join",
	    joinTables_leftjoin_label: "Left Join",
	    joinTables_rightjoin_label: "Right Join",
	    joinTables_fulljoin_label: "Full Join",
	    directiveChainedDirectives_action_label: "Chain Directives",
	    directiveChainedDirectives_action_longLabel: "Run multiple directives in a specific order",
	    chainDirectives_stepSummary_label: "Chain",
	    chainDirectives_header_label: "Select the type of chained directive that you would like to create and then select the saved directives to include in the chain. If creating a serial chain, arrange the selected directives in the order that you want them to run.",
	    chainDirectives_type_label: "Chained directive type:",
	    chainDirectives_serial_label: "Serial",
	    chainDirectives_parallel_label: "Parallel",
		executionStart_ChainDirectives_label: "Start running chained directives",
		chainDirectivesInProcess_label: "Running chained directives",
		chainDirectivesInProcessDetail_label: "[Executing directive, ${0} (${1} of ${2})]",
		chainDirectivesSkippedDirectives_label: "[Skipped ${0} directive(s) due to error]",
		chainDirectivesSuccess_label: "Successfully ran ${0} chained directives",
		chainDirectivesFailed_label: "Failed to run chained directives",
	    chainDirectives_type_single: "Single",
	    chainDirectives_type_serial: "Serial",
	    chainDirectives_type_parallel: "Parallel",
	    chainDirectives_order_none: "None",
	    chainDirectives_order_concurrent: "Concurrent",
	    chainDirectives_moreInfo_label: "More information...",
	    chainDirectives_missing_tooltip: "This directive is missing from the list of available directives",
	    chainDirectives_missing_helpText: "One or more of the directives in the chain is missing from the list of available directives. This can occur when directives have been deleted using Manage Saved Directives. Please remove the missing directives from the chain before continuing.",
	    chainDirectives_missing_label: "--Missing--",
		chainDirectives_lastModifiedBy_txt: "Last modified by: ${0}",
	    codePreview_header_label: "Preview code:",
	    codePreview_noData_txt: "Failed to generate code",
        codePreview_busyStatus_txt: "Generating code...",
	    dataSample_header_label: "Data sample:", 
	    dataSample_noData_txt: "No rows returned for the sample",
	    dataSample_genericError_txt: "An error occurred while sampling the data.",
	    dataSample_busyStatus_txt: "Loading Sample...",
	    modelAttributes_header_label: "Model attributes:",
	    modelAttributes_noData_txt: "No rows returned for model",
	    modelAttributes_busyStatus_txt: "Loading data...",
	    modelAttributes_inputs_label: "Required Inputs:",
	    modelAttributes_outputs_label: "Output Results:",
	    dataProviderGrid_noData_txt: "No data found",
	    standardizeData_standardized: "standardized",
	    standardizeData_selectDef: "Select a Definition",
	    standardizeData_enterNumeric: "Enter a numeric value between 1 and 256",
	    copy_editBtnText_label: "Edit Code",
	    copyfrom_editBtnText_label: "Edit Code",
	    query_editBtnText_label: "Edit Code",
	    merge_editBtnText_label: "Edit DS2 Code",
	    identificationAnalysis_columnString: "id_analysis",
	    matchCodeSensitivity_label: "Sensitivity:",
	    matchCodeDefault: "(default)",
	    matchCodeLow: "(low)",
	    matchCodeHigh: "(high)",
	    matchCode_columnString: "matchcode",
	    databasesGrid_nameCol: "Name",
	    databasesGrid_descCol: "Description",
	    databasesGrid_add_tooltip: "Add",
	    databasesGrid_edit_tooltip: "Edit",
	    databasesGrid_remove_tooltip: "Remove",
	    sqoopOptionsPanel_title: "Specify how the copy operation will work. These defaults should only be changed for advanced scenarios.",
	    sqoopOptionsPanel_numberOfProcesses_label: "Number of processes:",
	    sqoopOptionsPanel_splitColumnSelectBox_label: "Column used to distribute the copy:",
	    sqoopOptionsPanel_splitColumnSelectBox_defaultOption:"(Use default)",
	    sqoopOptionsPanel_numberOfProcessesField: "Enter a numeric value between 1 and 100",
	    sqoopOptionsPanelHelpButton_info: "Changing the number of processes to greater than one is an advanced option only.  It will expand the number of processes and source data connections that are used to bring in data.  When running in this mode, a column must be identified in order to distribute the data across the parallel processes.  This column should typically be the primary key or index of the table in the data source. Only single columns are allowed and numeric integer values that are evenly distributed in the data are recommended.  Please see the help documentation for further information.",
	    sqoopOptionsSummary: "Processes: ${0}, Distribute Column: ${1}",
	    copyDataFromHadoopOptionsStepHeader_label: "Processes: ",
	    copyDataFromHadoopOptionsHeader_label: "Specify how the copy operation will work. This default should only be changed for advanced scenarios.",
	    FileSpecificationHeader_label: "Specify the input delimiter and information useful for interpreting the input data.",
	    advancedOptionsDialog_title: "Directive Settings",
	    advancedOptionsDialog_help_text: "Specifying a maximum length will override the length specified in configuration.",
	    advancedOptionsDialog_general_pane: "General Preferences",
	    maximumLength_input_label: "Maximum length for SAS character columns:",
	    cvpBytes_input_label: "Number of bytes to add to length of character variables  (0 to 32766):",
	    cvpMultiplier_input_label: "Multiplier to expand the length of character variables (1 to 5):",
	    outputTableFormat_input_label: "Output table format:",
	    outputTableFormat_option_source: "(Same as source)",
	    outputTableFormat_option_hive: "(Use HIVE default)",
	    outputTableFormat_option_text: "Text",
	    outputTableFormat_option_parquet: "Parquet",
	    outputTableFormat_option_orc: "Orc",
	    outputTableFormat_option_avro: "Avro",
	    outputTableFormat_option_sequence: "Sequence",
	    outputTableFormat_option_json: "JSON",
	    delimiter_input_label: "Delimiter:",
	    delimiter_option_source: "(Same as source)",
	    delimiter_option_hive: "(Use HIVE default)",
	    delimiter_option_comma: "Comma",
	    delimiter_option_tab: "Tab",
	    delimiter_option_space: "Space",
	    delimiter_option_other: "Other",
	    delimiterInvalid: "Enter either a single character, or a three digit OCTAL value beginning with a backslash and is in the range 000-177",	    
	    delimiterInvalidRange: "OCTAL value is outside of the allowable range.  Enter a OCTAL value between 000 and 177 or enter a single character",
	    delimiterHelp: "Enter any single character, or a three-digit OCTAL number in the form \\ooo.  Note, the OCTAL value must begin with a backslash, contain three digits, and be between 000 and 177 (0 and 127)",	    
	    preferredSqlEnvironment_option_default: "(Default)",
	    sortAndManageDups_header_title: "Select the columns you want to sort by",
	    transposeData_header_title: "Select the columns that you wish to transpose, how they should be grouped, the ID columns to use, and any additional columns to include in the output table.",
	    transpose_columns: "Columns",
	    transpose_roles:"Roles",
	    transpose_transposeColumns: "Transpose columns",
	    transpose_groupColumns: "Columns to group by",
	    transpose_idColumns: "ID columns",
	    transpose_copyColumns: "Copy columns",
	    transpose_helpPanel_title: "How do Roles work?",
	    transpose_help_transposeAndGroupByColumns_label: "Transpose Columns and Columns to Group By",
	    transpose_help_transposeColumns_textHeader:"Transpose Columns: ",
	    transpose_help_groupByColumns_textHeader:"Columns to Group By: ",
	    transpose_help_transposeColumns_text: "The columns that you select are transposed to become rows in the resultant table. You must select at least one column to transpose. Columns are transposed in the order in which they appear in the selection list.",
	    transpose_help_columnsToGroupBy_text: "The columns that you select are identified as distinct groups to be transposed separately. You must select at least one column to group by. Because the input table is distributed on different data partitions, BY-Group processing is required to redistribute the data so that the entire group of data resides on the same partition. If you select multiple columns, they will be grouped in the order in which they appear in the selection list.",
	    transpose_help_copyColumns_label: "Copy Columns",
	    transpose_help_copyColumns_text: "The values for columns that you select are copied without being transposed. Copied columns appear in the order in which they appear in the selection list.",
	    transpose_help_idColumns_label:"ID Columns",
	    chainDirectives_details_label: "Description of selected directive:",
	    chainDirectives_fail_label: "If a directive in the chain fails:",
	    chainDirectives_fail_continue: "Continue to run the remaining directives",
	    chainDirectives_fail_stop: "Do not run the remaining directives",
	    chainDirectives_fail_helpTooltip: "By default, serial chained directives are stopped from running to completion once any directive in that type of chain fails. You may choose to continue running a serial chained directive even if a directive fails. Directives that are running concurrently in parallel chained directives will continue to run if another directive fails or has stopped because it contains a serial chain directive that has failed.",
	    transpose_help_idColumns_text:"The values from the columns that you select are used as names for the new columns. If you select multiple columns, the names will be concatenated in the order they appear in the selection list.",
	    profileValueDialog_title: "Select Values",
	    columnValuesSelector_available: "Available Values:",
	    columnValuesSelector_selected: "Selected Values:",
	    columnValuesSelector_reportversion: "Report version:",
		columnValuesSelector_value: "Value",
	    columnValuesSelector_frequency: "Frequency in Data (%)",
	    columnValuesSelector_outlier: "(outlier)",
	    columnValuesSelector_notApplicable: "(Not Applicable)",
	    viewRecentTable_label: "Select Recent Table",
	    viewRecentTable_tooltip: "Select Recent Table",
	    removeRow_tooltip: "Remove row",
	    removeColumn_tooltip: "Remove column",
	    infoBtn_tooltip: "More info",
	    runStatus_name: "Name",
	    runStatus_status: "Status",
	    runStatus_starttime: "Start Time",
	    runStatus_endtime: "End Time",
	    runStatus_runtime: "Run Time",
        runStatus_user: "User",
	    runStatus_alldays: "(all days)",
	    runStatus_last24: "Last 24 Hours",
	    runStatus_last2days: "Last 2 Days",
	    runStatus_last7days: "Last 7 Days",
	    runStatus_last14days: "Last 14 Days",
	    runStatus_last30days: "Last 30 Days",
	    runStatus_last60days: "Last 60 Days",
	    runStatus_last90days: "Last 90 Days",
	    testConnection_driverNotFound: "Driver not found. Ensure that the specified driver has been added to the JDBC driver directory in the Web Application Server.",
	    qkb_noLocaleError_txt: "No QKB locales were found.",
    	qkb_noLocaleDescription_txt: "Unable to load QKB locales.  Contact the system administrator to ensure the QKB is properly installed and configured.",
		qkb_adminNoLocaleDescription_txt: "Unable to load QKB locales.  Ensure the QKB is properly installed and configured.",
	    listView_columnNameLabel: "Name",
	    listView_columnProfiledLabel: "Profiled",
	    listView_columnLastModifiedLabel: "Last Modified",
	    listView_columnDescriptionLabel: "Description",
	    dataSourceBrowser_search: "Search",
	    modelScoringBreadCrumbHome: "Home",
	    modelOutputColumns_header_title: "Select the columns you want to include in the target data file",
	    modelOutputColumns_summary_format:"${0} of ${1} columns",
	    mappings_summaryDefault_label: "Mappings",
	    mappings_header_title: "Select columns for the model's required inputs",
	    mappings_columnCol: "Input Columns",
	    mappings_inputsCol: "Model Inputs",
	    mappings_typeCol: "Type",
	    mappings_lengthCol: "Length",
	    mappings_autoMap_label: "Automatically Map Columns",
	    mappings_noFieldSelected_label: "Select column",
		mappings_summary_format: "${0} of ${1} required inputs",
		model_type_character: "Character",
		model_type_numeric: "Numeric",
		model_column_exists_format: "A column with the name ${0} has already been selected",
		CSV_options_table_name_label: "Table Name:",
		CSV_options_table_description_label: "Table Description:",
		CSV_options_delimiter_label: "Input file delimiter:",
		CSV_options_checkbox_label: "Use the input delimiter as the delimiter for the target table",
		CSV_options_table_structure_checkbox_label: "Save table structure file on Hadoop",
		CSV_options_custom_delimiter: "Custom delimiter:",
		CSV_options_delimited: "${0} delimited",
		CSV_options_inputDelimiterUsedAsOutput: "input delimiter used as target table delimiter",
		CSV_options_quotedData: "quoted data supported",
		CSV_options_firstRowUsed: "first row used as column names",
		csv_useInputDelimiterHelp: "If this option is selected and the input file does not contain records wrapped in quotation marks and does not contain column names as the first record, the unmodified input file will be bulk-copied to the hdfs and registered with hive.  Since the records within the input file are not inspected or validated, this bulk-copy process can yield significant performance improvements.",
		csv_quotedInputHelp_txt: "If any records within the input file contain the input file delimiter, those records should be wrapped in quotation marks (\").  When this option is selected, the system will remove the quotation marks that wrap the data so they do not appear in the output table. To use quotation marks within the data, use two quotation marks (\"\").",
		CSV_outputColumns_radio_generate: "Generate column names",
		CSV_outputColumns_radio_row: "Use the first row in the file as column names",
		CSV_outputColumns_radio_column: "Use column definitions from a format file",
		CSV_options_table_file_name_label: "File name:",
		csv_output_columns_header: "Output Columns",
		CSV_options_quotes_label: "Check the input file for records wrapped in quotation marks (\")",
		CSV_options_firstrow_label: "Use the first row in the file as column names for the target table",
		csv_tableStructureFileHelp: "The file will be saved to the specified location when the directive is run",
		FileSpecificationViewFileBtn_label: "View File",
		FileSpecificationDialogTitle: "View ${0} - first ${1} rows",
		FileSpecificationDialogNoFileTitle: "No File Specified",
		FileSpecificationSelectedFileExpanderTitleFormat: "Review Target Column Structure: ${0}",
		FileSpecificationWarningsHeader: "The following warnings were reported in processing the data file:",
		FileSpecificationColumnsDontMatchWarning: "The format file did not match the number of columns found in the data file",
		FileSpecificationNumberColumnsVaryWarning: "Rows of data had varying number of columns, some rows will have null values added",
		FileSpecificationNumberValuesVaryWarning: "Rows of data had varying number of columns, some rows will have null values added",
		FileSpecificationDelimiterChangedWarning: "The delimiter has changed from when the columns were generated.  Refresh the data to apply the new delimiter.",
		FileSpecificationUseFirstRowChangedWarning: "The option to use the first row as column names has changed from when the columns were generated.  Refresh the data to apply the new option.",
		FileSpecificationDelimiterAndFirstRowChangedWarning: "The delimiter and the option to use the first row as column names have changed from when the columns were generated.  Refresh the data to apply the new options.",
		FileSpecificationNoSampleDataWarning: "No data was found in the file. Check that the file exists and is not empty.",
		FileSpecificationMissingTypeWarning: "One or more columns from the format file was missing a type",
		FileSpecificationInvalidTypeWarning: "One or more columns from the format file had an invalid type",
		FileSpecificationNoFileSelectedError: "No source file has been selected.",
		FileSpecificationGenericFailError: "Failed to retrieve the file contents. Check the log for details.",
		fileBrowserFileName_label: "File name:",
		fileBrowserOverwriteSubmit: "Confirm",
		fileBrowserOverwriteMessage: "The file name already exists, do you want to overwrite the file?",
		fileBrowserOverwriteTitle: "Overwrite file?",
		TableStructure_OptionsButton: "Generate Columns...",
		TableStructure_DownloadDefinitionsButton: "Download Column Definitions...",
		TableStructure_RefreshButton: "Refresh",
		TableStructure_DisplayedRows: "Number of sampled rows: ${0}",
		TableStructure_NameLabel: "Name:",
		TableStructure_TypeLabel: "Type:",
		TableStructure_LengthLabel: "Length:",
		TableStructure_OptionsDialogTitle: "Generate Columns",
		TableStructure_OptionsDialogGenerate: "Generate",
		TableStructure_ColumnProcessingHeader: "Select the method to use for generating the columns.",
		TableStructure_ColumnProcessingGenerate: "Guess the columns based on a sample of data",
		TableStructure_ColumnProcessingFirstRow: "Use the first row in the file as column names",
		TableStructure_ColumnProcessingUseFile: "Use column definitions from a format file",
		TableStructure_DefinitionsFileName: "File name:",
		TableStructure_FormatFileHelp: "Format files define the name, type, and length of the columns in a table.  Choosing a format file that doesn't match the number of columns in the table may result in an error.",
		TableStructure_RowsToDisplay: "Number of rows to sample:",
		TableStructure_SaveDialogTitle: "Save Column Definitions",
		TableStructure_SaveDialogFileLabel: "Format file name:",
		TableStructure_SaveDialogSaveButton: "Save",
		TableStructure_SaveDialogCancelButton: "Cancel",
		TableStructure_CharLengthOutOfRangeMessage: "Columns of type CHAR must have a length between 1 and 255",
		TableStructure_VarcharLengthOutOfRangeMessage: "Columns of type VARCHAR must have a length between 1 and 65355",
		TableStructure_RefreshWarningTitle: "Refresh",
		TableStructure_RefreshWarningMessage: "Performing a refresh will generate new columns and any current changes will be lost. Are you sure you want to proceed?",
		csvImport_header_title: "Locate the file you want to load to Hadoop",
		csvImportUpload_header_title: "Locate the file you want to load to Hadoop.  Use the upload button to transfer a local file to the selected location.",
	    csvImport_no_files_message_txt: "No files or folders found",
	    csvTableStructureDialog_title: "Save Table Structure",
	    directoryBrowserDialog_noFormatFiles: "No format files found",
	    csvFormatFiles_dialogHeader: "Select a Format File",
	    csvFormatFilesSave_dialogHeader: "Save Column Definitions",
	    dataSourceDeleteAction_label: "Delete",
	    dataSourceDeleteTableAction_label: "Delete Table",
	    dataSourceDeleteConfirm_title: "Confirm deletion?",
	    dataSourceDeleteConfirm_content: "Are you sure you want to delete the file?",
	    dataSourceDeleteAction_tooltip: "Delete the selected item",
	    dataSourceDeleteTableAction_tooltip: "Delete the selected table",
	    dataSourceRenameAction_label: "Rename",
	    dataSourceRenameAction_tooltip: "Rename the selected item",
	    dataSourceRename_headerLabel: "New file name",
	    dataSourceRename_textboxLabel: "New Name:",
	    dataSourceRename_fileExists_warn: "File name already exists",
	    maprUserId_help_txt: "Your cluster requires this user ID to match the user ID provided in the mapr-user.json configuration file.",
	    dualPaneDirectiveSelector_availableLabel: "Available directives:",
	    dualPaneDirectiveSelector_selectedLabel: "Selected directives:",
	    dualPaneDirectiveSelector_directiveCol: "Directive",
		dualPaneDirectiveSelector_folderCol: "Folder",
	    dualPaneDirectiveSelector_typeCol: "Type",
	    dualPaneDirectiveSelector_lastModifiedCol: "Last Modified",
	    dualPaneDirectiveSelector_search: "Find a directive",
	    dualPaneDirectiveSelector_showTypeLabel: "Show:",
	    dualPaneDirectiveSelector_showType_all: "All types",
	    dualPaneDirectiveSelector_showType_single: "Single",
	    dualPaneDirectiveSelector_showType_serial: "Serial",
	    dualPaneDirectiveSelector_showType_parallel: "Parallel",
	    mergeSourceTableStep_header_title:"Select tables to be merged.",
	    mergeSourceTables_addNewTablebutton_label:"Add Another Source Table",
	    mergeSourceTables_header_label: "Order the source tables to match merge.",
	    mergeSourceTables_browse_label: "Browse Tables",
	    selectedTablesList_help: "Target table results may vary based on the order of source tables listed. See the SAS Data Loader for Hadoop: User's Guide for additional information.",
	    matchedColumns_header_title: "Rename columns across source tables to match. Matched columns will be available in the next step to select and order as columns to merge by.",
	    matchedColumns_summary_format_singular: "${0} matched column: ${1}",
	    matchedColumns_summary_format_plural: "${0} matched columns: ${1}",
	    matchedColumns_help: "The names of matched columns must be identical in each of the source tables to be merged. Rename columns in the \"Remaining columns\" as needed to satisfy this requirement.",
	    matchedColumns_renameToMatch_dialog_title: "Rename Columns",
	    matchedColumns_renameToMatch_dialog_label: "Column name:",
	    mergeBy_header_title: "Select matched columns to use when merging data.",
	    mergeBy_summary_format_singular: "Column: ${0}",
	    mergeBy_summary_format_plural: "Columns: ${0}",
	    mergeBy_help: "Target table results may be unpredictable when selected columns produce other than a one to one merge. See the SAS Data Loader for Hadoop: User's Guide for additional information.",
	    mergeBy_matchedColumns_label: "Matched columns:",
	    mergeBy_mergeColumns_label: "Columns to merge by:",
	    mergeInputColumns_header_title: "Select input columns that will participate in match-merge.",
	    mergeInputColumns_help: "You must repair errors in order to proceed. Optionally you may also repair any warnings. Repairs are made by generating unique column names.",
	    mergeInputColumns_summary_format_singular: "${0} total column (${0} of ${1} available)",
	    mergeInputColumns_summary_format_plural: "${0} total columns (${0} of ${1} available)",
	    mergeInputColumns_renameToNotMatch: "Rename to make unique",
	    mergeInputColumns_renameToNotMatch_tooltip: "Rename the selected columns to make unique",
	    mergeInputColumns_warningIcon_tooltip: "Duplicate column name",
	    mergeInputColumns_reset: "Reset",
	    mergeInputColumns_reset_tooltip: "Reset",
	    mergeInputColumns_repairWarnings: "Repair warnings",
	    mergeInputColumns_repairWarnings_tooltip: "Repair warnings",
	    mergeInputColumns_repairErrors: "Repair errors",
	    mergeInputColumns_repairErrors_tooltip: "Repair errors",
	    mergeInputColumns_renameToNotMatch_dialog_title: "Rename to make unique: ${0}",
	    mergeInputColumns_renameToNotMatch_dialog_label: "Table: ${0}",
	    mergeInputColumns_errorsRepaired_title: "Errors Repaired",
	    mergeInputColumns_errorsRepaired_message_plural: "A total of ${0} errors have been repaired successfully",
	    mergeInputColumns_errorsRepaired_message_singular: "A total of ${0} error has been repaired successfully",
	    mergeInputColumns_warningsRepaired_title: "Warnings Repaired",
	    mergeInputColumns_warningsRepaired_message_plural: "A total of ${0} warnings have been repaired successfully",
	    mergeInputColumns_warningsRepaired_message_singular: "A total of ${0} warning has been repaired successfully",
	    mergeInputColumns_nameExistsInByColumns_message:"The new column name conflicts with a selected BY column from the previous step.",
	    mergeNewColumns_header_title: "Create new columns.",
	    mergeNewColumns_summary_nocolumns: "No new columns",
	    mergeNewColumns_summary_format_singular: "${0} new column",
	    mergeNewColumns_summary_format_plural: "${0} new columns",
	    mergeNewColumns_current: "Current columns:",
	    mergeNewColumns_new: "New columns:",
	    mergeNewColumns_help: "Previously selected input columns are listed here for reference. New column names must be unique and also cannot refer to the names of previously selected input columns.",
	    mergeFilterData_summary_allrows: "All rows",
	    mergeFilterData_summary_specifyExpression: "Expression specified",
	    merge_tableSelectDialog_title: "Select Tables",
	    merge_tableSelectDialog_sourceTable_label: "Source Table",
	    merge_tableSelectDialog_recentTables_label: "Recent Tables",
	    merge_tableSelectDialog_recentTablesGrid_label: "Table:",
	    merge_tableSelectDialog_selectedTables_label: "Selected tables",
	    chainDirectivesMoreInfoDialog_title: "More Information",
	    chainDirectivesMoreInfoDialog_name_label: "Selected directive:",
	    chainDirectivesMoreInfoDialog_type_label: "Type:",
	    chainDirectivesMoreInfoDialog_failOption_label: "If a directive in the chain fails:",
	    chainDirectivesMoreInfoDialog_description_label: "Description:",
	    chainDirectivesMoreInfoDialog_orderCol: "Order",
	    chainDirectivesMoreInfoDialog_nameCol: "Directive",
        chainDirectivesMoreInfoDialog_folderCol: "Folder",
	    chainDirectivesMoreInfoDialog_typeCol: "Type",
	    chainDirectivesMoreInfoDialog_modifiedCol: "Modified",
	    chainDirectivesMoreInfoDialog_createdCol: "Created",
	    mergeRowFilter_specifyRule_label: "Specify rule to indicate the source tables that will participate in the DS2 expression",
	    mergeRowFilter_specifyRule_helpTooltip: "When a rule is specified, an automatic Boolean variable is created for each input table. The value of the variable is 1 if the input table contributed to the current output row, otherwise the value is 0. The automatic Boolean variable is used to control when a specific table should or should not contribute data to the current output row. Automatic Boolean variables are not included in the output table.",
	    mergeRowFilter_outputRows_label: "Output rows for this rule automatically",
	    mergeRowFilter_addExpression_label: "Add Expression",
	    mergeRowFilter_addCondition_label: "Add Condition",
	    mergeRowFilterRule_includeTable_label: "In",
	    mergeRowFilterRule_excludeTable_label: "Not In",
	    mergeRowFilterRule_if_label: "If",
	    mergeRowFilterRule_then_label: "then (expression stated below)",
	    mergeRowFilterRule_andCondition_label: "And",
	    mergeRowFilterRule_orCondition_label: "Or",
	    mergeRowFilterRule_selectTable_option: "Select a table",
	    mergeHelp_titlePane_title:"How does Merge work?",
	    mergeHelp_tab1_title:"All Rows", 
	    mergeHelp_tab2_title:"Specify Expression",
	    mergeHelp_tab3_title:"Specify Expression and Rule",
	    mergeHelp_tab1_text:"This example demonstrates a match-merge that combines rows from source tables <strong>account</strong> and <strong>address</strong> into a single row in the new target table <strong>account_address</strong> according to the values of the common column <strong>id</strong> which is specified in the BY statement. Columns specified in the BY statement must have a common name and should be key columns that uniquely identify or label the rows within the source tables. There can be one or many columns listed in the BY statement, in this example the single column <strong>id</strong> is listed. There can be one or many rows in each of the source tables for a given BY group. For this example there is 1 row per BY group in each of the source tables. The number of output rows produced by a match-merge is determined by the largest number of rows in any corresponding source table for a given BY group.",
	    mergeHelp_tab2_text:"This example shows a match-merge that combines rows from source tables <strong>account</strong> and <strong>address</strong> into a single row in the new target table <strong>account_address</strong> according to the values of the common column <strong>id</strong> which is specified in the BY statement. A DS2 expression is specified and results in the creation of the new output columns <strong>account_address.acct_risk_factor</strong> and <strong>account_address.addr_verified</strong>. The column values for the new columns <strong>account_address.acct_risk_factor</strong> and <strong>account_adress.addr_verified</strong> are derived from the source columns <strong>account.acct_status</strong> and <strong>address.addr_quality</strong> respectively. Additionally, source columns <strong>account.acct_type</strong> and <strong>address.addr_type</strong> are subsetted from the source tables prior to the match-merge. Finally, this example demonstrates renaming of the common source columns <strong>country_cd</strong>. The rename operation is required in this case as the data type of the overlapping columns <strong>country_cd</strong> conflicts between the <strong>account</strong> and <strong>address</strong> source tables, appearing as character in the <strong>account</strong> source table and numeric in the <strong>address</strong> source table. The conflicting data types would produce an error in the match-merge step and therefore overlapping column <strong>country_cd</strong> has been renamed from <strong>account.country_cd</strong> to <strong>account.acct_country_cd</strong> and from <strong>address.country_cd</strong> to <strong>address.addr_country_cd</strong>.  The source tables can now be match-merged successfully.",
	    mergeHelp_tab3_text:"This example demonstrates a match-merge that updates existing rows and inserts new rows into a new target table. The <strong>account_dim</strong> source table containing current account rows is match-merged to the <strong>account_daily</strong> source table which includes daily updates to the <strong>account_dim</strong> master table. The <strong>account_dim.acct_status</strong> column values are overwritten by values from <strong>account_daily.acct_status</strong> column when there is a match on the BY column <strong>id</strong>. This occurs because the <strong>acct_status</strong> column is an overlapping source column appearing in both the <strong>account_dim</strong> and <strong>account_daily</strong> source tables and the <strong>account_daily</strong> table is the last source table referenced in the MERGE statement.  A new row is inserted into the target table <strong>account_dim_updated</strong> when there is no matching value in the BY column <strong>id</strong>. The IN= table option is used to identify the source tables contributing to the target output row and the new column <strong>account_dim_updated.acct_upsert_type</strong> can then be derived.",
		viewLibname_btn_label:"View LIBNAME",
		viewLibname_btn_tooltip:"View LIBNAME",
		viewLibname_dialog_title:"Display LIBNAME",
		viewLibname_dialog_text:"The following LIBNAME has been generated for \"${0}\":",
		viewLibname_dialog_text_preassigned:"The \"${0}\" library was pre-assigned so no LIBNAME statement will be generated.",
		databaseType_accessodbc_title:"Access database ODBC",
		databaseType_aster_title:"Aster database",
		databaseType_redshift_title:"Redshift database",
		databaseType_db2_title:"DB2 database",
		databaseType_db2odbc_title:"DB2 database ODBC",
		databaseType_excel_title:"Excel database",
		databaseType_excelodbc_title:"Excel database ODBC",
		databaseType_greenplum_title:"Greenplum database",
		databaseType_hadoop_title:"Hive database",
		databaseType_hawq_title:"Hawq database",
		databaseType_informix_title:"Informix database",
		databaseType_mssql_title:"SQL Server database",
		databaseType_mssqlodbc_title:"SQL Server database ODBC",
		databaseType_mysql_title:"MySQL database",
		databaseType_neoview_title:"NeoView database ODBC",
		databaseType_netezza_title:"Netezza database ODBC",
		databaseType_oracle_title:"Oracle database",
		databaseType_oracleodbc_title:"Oracle database ODBC",
		databaseType_pisystem_title:"PI System",
		databaseType_postgres_title:"Postgres database",
		databaseType_sas_title:"SAS database",
		databaseType_federationserver_title:"Federation Server",
		databaseType_federationserverodbc_title:"Federation Server ODBC",
		databaseType_hdat_title:"SAS Data in HDFS",
		databaseType_hana_title:"SAP HANA database",
		databaseType_impala_title:"Impala database",
		databaseType_lasr_title:"SAS LASR Analytic Server",
		databaseType_spds_title:"SPD Server",
		databaseType_sybase_title:"Sybase database",
		databaseType_sybaseodbc_title:"Sybase database ODBC",
		databaseType_sybaseiq_title:"Sybase IQ database ODBC",
		databaseType_teradata_title:"Teradata database",
		databaseType_xml_title:"XML database",
		databaseType_vertica_title:"Vertica database",
	    databaseType_cas_title:"Cloud Analytic Services Server",
		databaseType_generic_title:"Generic database",
		databaseType_genericodbc_title:"Generic database ODBC",
		importFile_deleteFileAction_label: "Delete",
		importFile_deleteFileAction_tooltip: "Delete the selected item",
		importFile_deleteFileAction_title: "Confirm deletion",
		importFile_deleteFileAction_content: "Are you sure you want to delete ${0}?",
		importFile_deleteFileActionFailed_content: "The file was not deleted.  Check to make sure you are authorized to perform this action.",

	    //TODO: Exception resource strings here
	    //ExceptionClassName_KeyConstant,
	    AbstractLocalizableException_GENERIC_ERROR_001:"An unexpected error has occurred.  The server reported the following message:\n${0}.  \n\nSome functionality may be missing or incomplete.",
	    DBMSDataServiceException_TABLE_NOT_FOUND:"Unable to find ${0}.  It may have been moved or deleted.",
	    DBMSDataServiceException_JDBC_DRIVER_NOT_FOUND:"Oops, the jdbc driver \"${0}\" is missing.",
	    HadoopConfigurationException_HADOOP_CONFIG_FILES_NOT_FOUND:"Hadoop configuration files were not found in the specified location : ${0}.\nFeatures of this application which require the Hadoop configuration files may be unavailable.",
	    HadoopConfigurationException_HADOOP_NO_CONFIG:"Hadoop configuration not found",
    	HadoopConfigurationException_HADOOP_NO_CREDENTIALS:"An error occurred retrieving GSS credentials. SAS Data Loader for Hadoop requires Integrated Windows Authentication to access a secure Hadoop cluster.",
	    CredentialServiceException_DUPLICATE_USER_FOR_AUTH_DOMAIN:"More than one user was found for auth domain ${0}.",
	    NotFoundException_NOT_FOUND:"The requested object was not found or was not accessible..",
	    FilterException_FILTER_001:"Invalid input \"${0}\" in filter rows.  Numeric input expected. Please check and correct input.",
	    RuleGenerationConfigPane_MaxNumberOfRows:"Maximum number of rows selected for sample table:",
	    RuleGenerationConfigPane_MaxNumberOfRows_rangeMessage: "Value must be between 1 and 99999999",
	    DeleteCofiguration_AdvancedOptions_RecomputeLabel: "Recompute statistics after rows in a table have been deleted using the Delete Rows directive",
	    DBBackupServiceException_BACKUP_LOCATION_NOT_FOUND:"No backup location specified.",
	    HdfsException_PATH_NOT_DIRECTORY:"The path: \"${0}\" is not a directory.",
	    HdfsException_CANNOT_DELETE_PATH_WITH_CHILDREN:"Unable to delete path: \"${0}\" since it has children.",
	    HdfsException_PERMISSION_DENIED:"Permission denied",
	    CopyFileToHadoopException_COPY_FAILED_URL_DETAILS:"The import to hadoop failed. For more information visit ${0}.\nThe server reported the following error: ${1}",
	    CopyFileToHadoopException_COPY_FAILED_DETAILS:"The import to hadoop failed. The server reported the following error: ${0}.",
	    CopyFileToHadoopException_COPY_FAILED:"The import to hadoop failed. See the logs for additional information.",
	    ExternalFileException_APPEND_FAILED:"Failed to append data to file: ${0}",
	    ExternalFileException_READ_INTO_FIELDS_FAILED:"Unable to read file, ${0}, and parse it into fields.  Error at line: ${1}",
	    ExternalFileException_FILE_NOT_FOUND:"File, ${0}, no longer exists or is not accessible",
	    ExternalFileException_DIRECTORY_NOT_FOUND:"Directory, ${0}, no longer exists or is not accessible",
	    ExternalFileException_DELETE_DIR_FAILED:"Unable to delete directory, ${0}",
	    ExternalFileException_DELETE_FILE_FAILED:"Unable to delete file, ${0}",
	    ExternalFileException_READ_INTO_FIELDS_BAD_DELIM:"Unable to parse file, ${0}, due to an unsupported specified delimiter: '${1}'",
	    ExternalFileException_READ_FILE_FAILED:"Unable to read specified contents of file: ${0}",
	    ExternalFileException_WRITE_FILE_FAILED:"Unable to write to file: ${0}",
	    ExternalFileException_FILE_CLOSE_ERROR:"Error closing file: ${0}",

		WSFolderException_ERROR_GETTING_DIRECTORY_CONTENTS:"Failed to fetch contents of ${0}.",
		WSFolderException_FILE_ALREADY_EXISTS:"File already exists ${0}.",
		WSFolderException_ERROR_WRITING_FILE:"Error writing file ${0}.",
		WSFolderException_ERROR_FAIL_TO_GET_USER_ROOT:"Error trying to get user root folder contents ${0}.",
		WSFolderException_ERROR_FAIL_TO_GET_CONTENTS:"Error trying to get contents ${0}.",
		WSFolderException_ERROR_GETTING_WORKSPACE_SERVER:"Error trying to get workspace server ${0}.",
		WSFolderException_ERROR_CHECKING_FILE_EXISTS:"Error while checking if file exists ${0}.",
		WSFolderException_ERROR_DETERMINING_OS:"Error while trying to determine operating system for folder separator.",
		WSFolderException_ERROR_FILE_PERMISSION_ISSUE:"Error - file permission issue ${0}.",
		WSFolderException_ERROR_READING_FILE:"Error reading file ${0}.",
		WSFolderException_READ_INTO_FIELDS_BAD_DELIM:"Unable to parse file, ${0}, due to an unsupported specified delimiter: '${1}'",
		WSFolderException_READ_INTO_FIELDS_FAILED:"Unable to read file, ${0}, and parse it into fields.  Error at line: ${1}",

		ChainedDirectiveException_FLOW_ERROR:"Unable to process the chained directive.  The chain includes one or more incomplete or malformed directives. \nError: ${0}",
	    ChainedDirectiveException_MISSING_CHILD:"The operation on the chained directive failed.  A directive, ${0}, referenced within the chain cannot be found.",
	    ChainedDirectiveException_MISSING_CHILD_GENERIC:"The operation on the chained directive failed.  A directive referenced within the chain cannot be found.",
	    ChainedDirectiveException_BAD_GRAPH:"The operation on the chained directive failed due to one or more missing directives.",
	    ChainedDirectiveException_DIRECTIVE_CYCLE:"A cycle exists in the chain of directives as directive, ${0}, contains itself as a child (either directly or indirectly).  Processing of the directive chain has ceased.",
	    ImportFileIntoHiveException_DUPLICATE_COLUMN_NAMES:"The column name, ${0}, has duplicate definitions.",
	    ArchitectEngineException_INSTALLDIR:"Unable to locate DM Architect Engine install directory.",
	    ArchitectEngineException_MISSINGTABLE:"No input table defined for Copy Data To Hadoop.",
    	ArchitectEngineException_MISSINGTABLEEXPORT:"No input table defined for Copy Data from Hadoop.",
	    DirectiveNotFoundException_DIRECTIVE_NOT_FOUND: "The requested directive could not be found",
		DirectivePersistenceException_PERMISSION_DENIED:"You do not have permission to perform this action.",
		ProfileReportPersistenceException_PERMISSION_DENIED:"You do not have permission to perform this action.",
		WorkspaceServerLocalizableException_INVALID_CONFIGURATION:"The SAS Workspace Server configuration for Data Loader Mid-Tier Shared Services in invalid.  Please contact the administrator for assistance.",
		DataDirectorInitializationException_WORKSPACE_SERVER_CANNOT_CONNECT:"Unable to connect to the configured SAS Workspace Server.  Some features will not function correctly.  Please contact the administrator to resolve this issue.",
		DataDirectorInitializationException_WORKSPACE_SERVER_NO_IDENTITY_FOR_AUTHDOMAIN:"No valid user identity was found for connecting to the configured SAS Workspace Server.  Some features will not function correctly.  Please contact the administrator.",
		DataDirectorInitializationException_WORKSPACE_SERVER_NO_HOME_DIRECTORY_FOUND:"No home directory was found on the configured SAS Workspace Server file system for your user.  Please contact the administrator to resolve the issue.",
		DataDirectorInitializationException_SAS_FOLDERS_NO_HOME_DIRECTORY_FOUND:"No SAS Folders home directory was found for your user. Please contact the administrator to resolve the issue.",
		DataDirectorInitializationException_HADOOP_SERVER_INVALID:"The Hive server configuration for Data Loader Mid-Tier Shared Services is invalid.  Please contact the administrator for assistance.",
		ProfileJobException_ERROR_READING_JOB:"Unable to access profile report.",
		ProfileJobException_ERROR_DELETING_JOB:"Unable to delete profile report.",
		ProfileJobException_ERROR_SAVING_JOB:"Unable to create or save profile report.",
		SASFolderException_CREATE_PARENT_NOT_FOUND:"Failed to create folder because its containing folder ${0} could not be found.",
		SASFolderException_CREATE_ALREADY_EXISTS:"Failed to create folder because an object with the name ${0} already exists in path ${1}.",
		SASFolderException_CREATE_INVALID:"Failed to create folder because the path or name ${0} is invalid.",
		SASFolderException_CREATE_FAILURE:"Failed to create folder.",
		SASFolderException_DELETE_FAILURE:"Failed to delete folder ${0}",
		SASFolderException_RENAME_NOT_FOUND:"Could not find folder ${0} to rename.",
		SASFolderException_RENAME_PARENT_NOT_FOUND:"Failed to rename folder ${0} because its parent could not be accessed.",
		SASFolderException_PARENT_NOT_FOUND:"Failed to find parent folder ${0} of requested object.",
		SASFolderException_NOT_FOUND:"Failed to find requested folder ${0}.",
		SASFolderException_INVALID_PATH:"Invalid path requested for folder ${0}.",
		SASFolderException_CANNOT_GET_USER_FOLDER:"Failed to access or create user folder.",
		SASFolderException_METADATA_NOT_FOUND:"Failed to find folder or resource with id ${0}.",
		SASFolderException_OBJECT_TYPE_NOT_FOUND:"Failed to find object type ${0}.",
		SASFolderException_NOT_AUTHORIZED:"You do not have permission to perform this action.",

	    formatFiles_refresh_tooltip: "Refresh format files",
	    matchedColumns_match: "Columns that match:",
	    matchedColumns_remaining: "Remaining columns:",
	    matchedColumns_previousName: "Previous name: ${0}",
	    matchColumns_numSugg_tooltip: "Number of possible matches based on the profile report.",
	    matchedColumns_renameToMatch: "Rename columns",
	    matchedColumns_renameToMatch_tooltip: "Rename the selected columns to match",
	    matchedColumns_unmatch: "Unmatch columns",
	    matchedColumns_unmatch_tooltip: "Unmatch the selected matched columns",
	    matchedColumns_reset: "Reset",
	    matchedColumns_missing_columns: "One or more tables no longer contains the previously matched columns: ${0}",
	    directiveClusterSurviveInSpark_action_label:"Cluster-Survive Data",
	    directiveClusterSurviveInSpark_action_longLabel:"Define rules to cluster similar records into groups and optionally create a best record to represent the information collected from all group members",
	    stepSummaryClusterRules_label:"Cluster Rules",
	    stepSummaryClusterOutputTable_label:"Cluster Output Table",
	    stepSummarySurvivorRecordRules_label:"Survivor Base Record Rules",
	    stepSummarySurvivorColumnRules_label:"Survivor Column Rules",
	    stepSummarySurviveOutputTable_label:"Survivor Output Table",
	    clusterOutputTable_SelectDataSource_txt: "Select the location of the cluster output table",
	    clusterOutputTable_SelectTable_txt: "Select the table you want to write the clustered data to.",
	    clusterOutputTable_NoTable_txt: "No table selected",
	    surviveOutputTable_SelectDataSource_txt: "Select the location of the survivor output table",
	    surviveOutputTable_SelectTable_txt: "Select the table you want to write the survivor data to.",
	    cluster_header_title: "Define the rules to cluster similar records and create a best record.",
	    cluster_rule_label: "Rule:",
	    cluster_addrule_label: "Add Rule",
	    cluster_addcolumn_label: "Add Condition",
	    cluster_column_label: "Column:",
	    cluster_leftParens_label: "(",
	    cluster_rightParens_label: ")",
	    cluster_And_select: "AND",
	    cluster_Or_select: "OR",
	    cluster_invalid_leftParens_single: "Rule contains ${0} unbalanced open parenthesis",
	    cluster_invalid_leftParens_multiple: "Rule contains ${0} unbalanced open parentheses",
	    cluster_invalid_rightParens_single: "Rule contains ${0} unbalanced close parenthesis",
	    cluster_invalid_rightParens_multiple: "Rule contains ${0} unbalanced close parentheses",
	    clusterRules_simple: "Simple Cluster Rules",
	    clusterRules_advanced: "Advanced Cluster Rules",
	    clusterRuleSingle_summary_txt:"cluster rule",
	    clusterRulePlural_summary_txt:"cluster rules",
	    cluster_helpPanel_title: "How do Cluster Rules work?",
	    cluster_help_basics_label: "Basics",
	    cluster_help_basicsPara1_text: "Cluster rules are used to discover records that share an identity. The cluster rule specifies certain fields. When different records have identical values for those fields, the records are considered to share the same identity. The records sharing an identity are annotated with a common value in a special field.",
	    cluster_help_basicsPara2_text: "Before running the Cluster-Survive directive, it is a best practice to use the data quality transformations available through the Cleanse Data directive. These transformations standardize or compute match codes from values in the records.",
	    cluster_help_basicsPara3_text: "The simplest example of a cluster rule uses a single column name. Rows in the table that have the same value for this column are gathered into a set. In the following example, if the cluster rule specifies only the NAME column, then the data yields two sets:",
	    cluster_help_boolean_label: "Using Boolean Operators",
	    cluster_help_booleanPara1_text: "To define identity such that both the NAME and EMAIL1 columns are considered, use the AND Boolean operator to construct the 'NAME and EMAIL1' rule, which yields four sets:",
	    cluster_help_advanced_label: "Advanced Cluster Rules",
	    cluster_help_advancedPara1_text: "In the Using Boolean Operators example, the two Alice records are separated into two sets because the values for EMAIL1 differ. You might want these two records to be identified as one set because alice@alice.net is a common address for both records, but appears in two different columns. If you want to combine these records together in a set, you must specify an advanced cluster rule using parentheses and the OR Boolean operator to construct the rule 'NAME and (EMAIL1 or EMAIL2)':",
	    cluster_help_advancedPara2_text: "When you use the OR operator this way, matching values in the NAME column and matching values in either the EMAIL1 or EMAIL2 columns cause the records to be grouped into one set.",
	    cluster_help_advancedPara3_text: "It is possible to use the OR operator without parentheses. For example, the rule 'EMAIL1 or EMAIL2' still returns a single set for the Alice records. However, when the rule uses AND as well as OR operators, an order of precedence applies. Without specifying the parentheses, the previous rule would be evaluated as '(NAME and EMAIL1) or EMAIL2', which yields very different results.",
	    cluster_help_advancedPara4_text: "Multiple cluster rules can be specified, and are all used when grouping records together.",
	    survivorRecordSingle_summary_txt:"survivor record rule",
	    survivorRecordPlural_summary_txt:"survivor record rules",
	    survivorRecordNoRules_summary_txt:"No survivor record rules",
	    survivorRecord_simple: "Simple survivor base record rules",
	    survivorRecord_advanced: "Advanced survivor base record rules",
	    survivorRecord_noRules: "Do not create survivor base record rules",
	    survivorRecord_helpPanel_title: "How do survivor base record rules work?",
	    survivorRecord_help_basicsPara1_text: "Survivor base record rules are used to select a single record as the template for a 'best' record that represents the set of records you have clustered. The rules apply only to records that share a common identity as determined by the cluster rules. The template can be further modified by applying field-level rules that update individual field values from the records in the set.",
	    survivorRecord_help_basicsPara2_text: "The base record is determined by applying operators to column values. For example, if your record contains a date field indicating when it was last updated, you can use a rule such as 'Max(UPDATED)' to select the most recent update to use as your base record:",
	    survivorRecord_help_basicsPara3_text: "Alternatively, you could use the most frequent value for city. For example, you could use 'Highest Occurrence (CITY)' in your rule, which would yield two possibilities for the base record:",
	    survivorRecord_help_basicsPara4_text: "However, you can have only one base record, so you must either refine the first rule or provide another rule that selects a unique record.",
	    survivorRecord_help_refineResults_label: "Refine Results",
	    survivorRecord_help_refinePara1_text: "If you want to refine the results, you can specify another rule that is linked to the first rule by using the 'Apply to previous rule output' setting. When this option has been selected, only the records that match the first rule are provided to the second. For example, if the first rule is 'Highest Occurrence(CITY)' and the second rule is 'Max(UPDATED)', the base record represents the last known address for Alice in Tuscon:",
	    survivorRecord_help_refinePara2_text: "Sometimes, chaining rules can result in no records being selected, even though at some point in the process a unique record was selected. For example, if you added another chained rule that required the UPDATED field to be greater than January 1st, 2013, no records would be selected. Even though a unique record was selected by the second rule in the chain, it does not survive the third rule. Use the 'Stop processing rules after the first rule yields a single record' option to stop processing when a unique record has been identified.",
	    survivorRecord_help_refinePara3_text: "Alternatively, you can create another rule, or chain of rules, that uses a different strategy to select a base record. If the 'Apply to previous rule output' option is not selected for a rule, then the complete group of matched records is provided for the rule to process.",
	    survivorRecord_help_additionalOptions_label: "Additional Options",
	    survivorRecord_help_optionsPara1_text: "As with cluster rules, you can identify multiple expressions in a rule using the AND and OR Boolean operators. Use the 'Advanced survivor base record rules' option to specify parentheses for your rules if you need to control the order of evaluation of the expressions in your rule.",
	    survivorRecord_help_optionsPara2_text: "The 'Case sensitive' and 'Treat asterisk as a wildcard' options are only available for text data. If you choose to use wildcards, be aware that a wildcard must only appear at the very beginning or the very end of the value.",
	    survivorRecord_help_optionsPara3_text: "The operators are a mix of unary operators, such as Max and Min, that operate on the specified value and binary operators that allow you to specify a value as either:",
	    survivorRecord_help_optionsList1_text: "a field in the same record,",
	    survivorRecord_help_optionsList2_text: "a literal value",
	    survivorRecord_help_optionsList3_text: "a list of literal values for the Equal To and Not Equal To operators only",
	    survivorRecord_help_optionsPara4_text: "Null and blank values are interpreted as an absence of data and are only considered by the NULL and NOT NULL survivorship rules.",
	    survivorRecord_help_optionsPara5_text: "Survivorship base record rules are applied in the order in which they appear. The base record is chosen from the first rule that yields a single record. You can reorder the rules using the position controls to the right of the rule.",
	    survivorRecord_help_optionsPara6_text: "If no rule yields a single record, then one is chosen at random.",
	    survivorRecord_header_title: "Create rules to select a record that will represent members of a cluster.",
	    survivorRecord_selectAnOperator: "Select an Operator",
	    survivor_column_label: "Column:",
	    survivor_operator_label: "Operator:",
	    survivor_value_label: "Value:",
	    survivor_isCaseSensitive: "Case-sensitive",
	    survivor_isPattern: "Treat asterisk as a wildcard",
	    survivor_applyToPrevOutput: "Apply to previous rule output",
	    survivorValueDialog_title: "Select Values",
	    survivorValueDialog_text: "Text",
	    survivorValueDialog_textList: "Text List",
	    survivorValueDialog_column: "Column",
	    survivor_selectedColumns_label: "Selected columns:",
	    survivor_stopProcessingOnFirstResult: "Stop processing rules after the first rule yields a single record",
	    StepSummary_SurvivorRulesNotApplicable_title:"This step is not applicable for the selected survivor rules",
	    clusterSurviveSummarySuccess_label:"Successfully processed data",
		clusterSurviveSummaryFailed_label:"Failed to process data",
		clusterSurviveSummaryInProcess_label:"Processing data",
	    survivor_noRules_tooltip: "A survivor rule is required if no cluster output table was selected in the previous step.",
	    operatorMax: "Max",
	    operatorMin: "Min",
	    operatorHighestOccurrence: "Highest Occurrence",
	    operatorLowestOccurrence: "Lowest Occurrence",
	    operatorLongest: "Longest",
	    operatorShortest: "Shortest",
	    survivorColumnSingle_summary_txt:"survivor column rule",
	    survivorColumnPlural_summary_txt:"survivor column rules",
	    survivorColumnNoRules_summary_txt:"No survivor column rules",
	    survivorColumn_simple: "Simple survivor column rules",
	    survivorColumn_advanced: "Advanced survivor column rules",
	    survivorColumn_noRules: "Do not create survivor column rules",
	    survivorColumn_helpPanel_title: "How do survivor column rules work?",
	    survivorColumn_help_basicsPara1_text: "Survivor column rules apply field-level edits to the survivor base record, where field values are selected from the clustered group of records. This is useful when integrating data from different sources where the fields may be absent or less reliable.",
	    survivorColumn_help_basicsPara2_text: "For example, given the following data, and assuming the first record has been selected as the base record, you might want to incorporate the email address from the second record into the base record:",
	    survivorColumn_help_basicsPara3_text: "To do this, you would build one or more rules that identify the desired field values and copy them into the base record. In this example, a rule such as 'Not Null(EMAIL)' first selects the second record. Specifying the EMAIL field as the field selection then causes the (null) value to be updated:",
	    survivorColumn_help_basicsPara4_text: "Note: The survivor column rules modify a copy of the base record, so that the original record in a cluster group remains unchanged.",
	    survivorColumn_help_basicsPara5_text: "The fields used in the rule do not have to be related to the fields specified in the field selection list. For example, you could use the Updated field to identify the record, and then copy the Street and City field values to the survivor without including Updated in the field selection list.",
	    survivorColumn_help_optionsPara1_text: "As with cluster rules and survivor base record rules, you can identify multiple expressions in a rule using the AND and OR Boolean operators. Use the 'Advanced survivor column rules' option to specify parentheses for your rules if you need to control the expression order of evaluation in your rule.",
	    survivorColumn_help_optionsPara5_text: "Multiple field-level rules (each specifying its own set of fields) can be constructed by using the 'Add Another Rule' button.",
	    survivorColumn_help_optionsPara6_text: "Survivor column rules are applied in the order in which they are displayed. You can reorder the rules using the position controls to the right of the rule.",
	    survivorColumn_help_optionsPara7_text: "Fields in the survivor base record are updated when a unique record is identified. If a unique record is not selected by a survivor column rule, no fields are updated. If multiple rules specify the same field or fields and they all update the survivor base record, the last rule to run determines the values in the survivor record.",
	    survivorColumn_header_title: "Create rules to copy column values from cluster members into the survivor base record.",
	    survivorColumnSelectorDialog_title: "Select Columns:",
	    survivorColumnSelectorDialog_text:"The values of the columns that you select will be copied into the records that result from the corresponding survivor column rule.",
	    removeRule_tooltip: "Remove rule",
	    survivorColumn_addAnotherRuleButton_label:"Add Another Rule",
	    survivor_columnSelection_tooltip:"Select columns",
	    StepSummary_SurvivorColumnRulesNotApplicable_title:"This step is not applicable for the previously selected survivor column rules",
	    survivorPlaceholderDate: "Enter a Date ${0}",
	    survivorPlaceholderString: "Enter a String Value",
	    survivorPlaceholderInt: "Enter a Numeric Value",
	    survivorEnterSingleValue: "Enter a single value for the comparison.",
	    survivorEnterColumnValue: "Choose a column for the column comparison.",
	    survivorEnterMultipleValues: "Enter a list of values, with one value per line.",
        sasLibraryBrowserDialog_title: "Select SAS Library",
        sasLibraryBrowserDialog_foldersColumn: "SAS Folder",
        sasLibraryBrowserDialog_helpButton_label: "Help",
        sasLibraryBrowserDialog_cancelButton_label: "Cancel",
		sasMetadataServer_label: "SAS Libraries"

}
,
"fr": true,
"de": true,
"es": true,
"it": true,
"pl": true,
"ru": true,
"ja": true,
"ko": true,
"zh-cn": true,
"zh-tw": true,
"zh-hk": true,
"pl-xx": true,
"zh-xx": true
});
