define(["dojo/_base/declare", 
        "com/sas/dm/common/model/_SerializableModelBase", 
        "dojo/date/locale"],
    function(declare, _SerializableModelBase, locale){
        var SqlDate = declare([_SerializableModelBase], {
            getSerializedTypeName:function(){
                // TODO: this does not exist
                return "com.sas.dm.datadirector.spi.model.ui.SqlDate";
            },
            
            _date:null,
            
            toString:function(){
                if(this._date == null){
                    return "";
                }
                return locale.format(this._date, {"selector":"date", "formatLength":"medium"});
            },
            
            constructor:function(day /*int*/, month /*int*/, year /*int*/){
                this._date = new Date(year, month, day);
            }
            
        });
        
        
        return SqlDate;
});
